<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DeliveryNote extends Model
{
    use SoftDeletes;

    // RELATIONS

    public function item()
    {
        return $this->belongsTo(ItemName::class, 'item_id', 'id');
    }

    function account()
    {
        return $this->morphTo();
    }

    public function buyer()
    {
        return $this->hasOne(OtherAccountBuyer::class, 'invoice_no', 'do_no');
    }

    public function salesInvoice()
    {
        return $this->hasOne(AdminSalesInvoice::class, 'do_no', 'do_no');
    }
}
