<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSalesInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sales_invoices', function (Blueprint $table) {
            $table->id();
            $table->integer('branch_id');
            $table->integer('location_id');
            $table->string('invoice_no');
            $table->string('date');
            $table->string('mode_of_payment')->nullable();
            $table->string('purchase_order')->nullable();
            $table->string('lpo_days')->nullable();
            $table->string('vat_check')->nullable();
            $table->integer('warehouse_id')->nullable();
            $table->integer('salesman_id')->nullable();
            $table->string('delivered_order_number')->nullable();
            $table->integer('account_id');
            $table->string('total_quantity');
            $table->string('gross_total');
            $table->string('discount')->nullable();
            $table->integer('tax_account_id');
            $table->string('vat_percentage')->nullable();
            $table->string('vat_amount')->nullable();
            $table->string('net_total');
            $table->string('amount_in_words');
            $table->string('paid_amount')->nullable();
            $table->string('remaining_amount')->nullable();
            $table->integer('customer_id')->nullable();
            $table->string('narrations')->nullable();
            $table->string('buyer_name')->nullable();
            $table->string('buyer_mobile')->nullable();
            $table->string('buyer_email')->nullable();
            $table->string('buyer_address')->nullable();
            $table->string('buyer_vat_number')->nullable();
            $table->boolean('is_signed');
            $table->string('signature_path')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sales_invoices');
    }
}
