@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Cash Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="{{ route('cash.Ledger.Report') }}" method="post" class="outer-repeater">
                        @csrf
                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input id="from_date" name="from_date" class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}" required>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input id="to_date" name="to_date" class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}" required>
                                </div>
                            </div>

                        </div>

                        <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                            Disply</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
crossorigin="anonymous"></script>

{{-- <script>
        document.addEventListener("DOMContentLoaded", function() {
    var periodClosings = <?php echo json_encode($periodClosings); ?>;

    // Function to check if a date is before any of the period closings
    function isBeforePeriodClosing(date) {
        var selectedDate = new Date(date);
        for (var i = 0; i < periodClosings.length; i++) {
            var closingDate = new Date(periodClosings[i]);
            if (selectedDate < closingDate) {
                return true;
            }
        }
        return false;
    }

    // Function to set the color of the input based on whether it's before a period closing
    function setColor(dateInput) {
        var selectedDate = dateInput.value;
        if (isBeforePeriodClosing(selectedDate)) {
            dateInput.style.backgroundColor = 'lightgrey';
        } else {
            dateInput.style.backgroundColor = '';
        }
    }

    // Add event listener to input fields
    var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
    periodClosingDateInputs.forEach(function(input) {
        input.addEventListener('change', function() {
            setColor(this);
            if (isBeforePeriodClosing(this.value)) {
                var confirmation = confirm("Do you want to enter a closing period?");
                if (!confirmation) {
                    this.value = ''; // Clear the input field
                }
            }
        });
        // Set initial color
        setColor(input);
    });

    // Disable dates in periodClosings in the date picker
    $('.PeriodClosingDate').datepicker({
        beforeShowDay: function(date) {
            var stringDate = $.datepicker.formatDate('yy-mm-dd', date);
            return [periodClosings.indexOf(stringDate) == -1];
        }
    });
});


</script> --}}


@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branch = Branches::where('id', $selectedBranchId)->first();
@endphp

<script>
    @if (!empty($selectedBranchId))
        document.addEventListener("DOMContentLoaded", function() {
            var periodClosings = <?php echo json_encode($periodClosings); ?>;

            function isBeforePeriodClosing(date) {
                var selectedDate = new Date(date);
                for (var i = 0; i < periodClosings.length; i++) {
                    var closingDate = new Date(periodClosings[i]);
                    if (selectedDate < closingDate) {
                        return true;
                    }
                }
                return false;
            }

            function setColor(dateInput) {
                var selectedDate = dateInput.value;
                if (isBeforePeriodClosing(selectedDate)) {
                    dateInput.style.backgroundColor = 'lightgrey';
                } else {
                    dateInput.style.backgroundColor = '';
                }
            }

            var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
            periodClosingDateInputs.forEach(function(input) {
                input.addEventListener('change', function() {
                    setColor(this);
                    if (isBeforePeriodClosing(this.value)) {
                        @if (!Branches::hasBranchPermission($selectedBranchId, 'View Report As Per User Credentials'))
                            window.alert("You are trying to enter a closing period. Please contact admin.");
                            this.value = '';
                        @else
                            window.alert("You are trying to enter a closing period.");
                        @endif
                    }
                });
                setColor(input);
            });
        });
    @endif
</script>

@endsection
