@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">View Credit Note(Sale Return Voucher)
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>

            <div class="card" id="printableArea">
                <div class="card-body">
                    <h6 class="card-title mb-1 text-center font-size-20">Credit Note(Sale Return
                        Voucher)</h6>
                    <br>


                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    @else
                        {{-- <div class="col-md-12 d-flex align-items-center justify-content-center mb-3">
                            <img src="{{ asset('assets/images/acp-logo.svg') }}" class="img-fluid" alt="logo"
                                width="270px">
                        </div> --}}
                    @endif

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong>{{ date('d/m,Y', strtotime($creditNote[0]->date)) }}
                            </p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Credit Note # : </strong> {{ $creditNote[0]->invoice_no }}</p>
                            {{-- <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Mode/Term of Payment : </strong> {{ $creditNote[0]->term_of_payment }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO Number(Supplier) : </strong> {{ $creditNote[0]->lpo_no }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Credit Note Number : </strong> {{ $creditNote[0]->po_no ?? '' }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO(DUE DAYS) : </strong> {{ $creditNote[0]->lpo_days }}</p> --}}
                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> {{ $creditNote[0]->account->name_of_organisation ?? ($creditNote[0]->account->account_name ?? $creditNote[0]->account->first_name . ' ' . $creditNote[0]->account->last_name) }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> {{ $creditNote[0]->account->email ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong>{{ $creditNote[0]->account->contact_person_name ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong>{{ $creditNote[0]->account->mobile ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong>{{ $creditNote[0]->account->vat_number ?? 'No Record Found' }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: lightgray;color:black;border-color: black">
                                        <th style="border: none">Description</th>
                                        <th style="border: none">QTY</th>
                                        <th style="border: none">Unit Price</th>
                                        <th style="border: none">Total</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    @foreach ($creditNote as $key=>$cn)
                                   <tr>
                                        <td class="border border-dark">{{ $cn->item->name ?? '' }}</td>
                                        <td class="border border-dark">{{ $cn->quantity }}</td>
                                        <td class="border border-dark">{{ number_format($cn->rate_unit, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ number_format($cn->gross_amount, session('branch')->currency_decimal) }}</td>
                                   </tr>
                                   @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0">{!! session()->get('branch')->payment_details !!}</p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Gross Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Vat Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ $creditNote[0]->total_quantity }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($creditNote[0]->total_gross_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($creditNote[0]->total_vat_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($creditNote[0]->total_net_amount, session('branch')->currency_decimal) }}</p>
                        </div>
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            {{-- <p class="text-dark font-weight-bold" style="padding: 5px;margin:0">Advance Corporate Professionals & Businesses L.L.C.</p> --}}
                        </div>
                        <div class="col-md-4 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Amount in Words: </strong><span>{{ $creditNote[0]->amount_in_words }}</span></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        // Calculate the grand total and update the element
        const totalGrossAmount = {{ $creditNote[0]->total_gross_amount }};
        const totalVatAmount = {{ $creditNote[0]->total_vat_amount }};
        const totalNetAmount = {{ $creditNote[0]->total_net_amount }};

        const grandTotal = totalGrossAmount + totalVatAmount + totalNetAmount;
        const roundedGrandTotal = grandTotal.toFixed(2);
        document.getElementById("grand-total").textContent = roundedGrandTotal;

        // Convert total net amount to words and update the corresponding field
        var totalNetAmountWords = numberToWords(roundedGrandTotal);
        $('#total_net_amount_words').text(totalNetAmountWords);
    });
</script>

@endsection
