@extends('layouts.crusher')
@section('content')
@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branche = Branches::where('id', $selectedBranchId)->first();

@endphp
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Purchase Order</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('software.purchase_orders.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Create Purchase Invoice</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Purchase Order Number</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($purchaseOrders as $po)
                                    {{-- @dd($po)     --}}
                                    <tr>
                                        <td>{{ $po->date }}</td>
                                        <td>{{ $po->invoice_no }}</td>
                                        <td>
                                            @if (
                                                !empty(($branchId = session()->get('selected_branch'))) &&
                                                    Branches::hasBranchPermission($branchId, 'view-print-purchase-order'))
                                                <a
                                                    href="{{ route('software.purchase_orders.show', ['purchase_order' => $po->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                            @endif


                                            @if (!$po->trashed())
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'edit-purchase-order'))
                                                    <a
                                                        href="{{ route('software.purchase_orders.edit', ['purchase_order' => $po->id]) }}">
                                                        <i class="far fa-edit cust-icon2"></i></a>
                                                @endif

                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'cancel-purchase-order'))
                                                    <form
                                                        action="{{ route('software.purchase_orders.delete', ['purchase_order' => $po->id]) }}"
                                                        method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                            class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                @endif

                                                <a href="{{ route('software.purchase_invoices.create', ['po_no' => $po->invoice_no, 'description' => $po->item_description, 'quantity' => $po->quantity,'rate_unit' => $po->rate_unit,'gross_amount' => $po->gross_amount]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Purchase Invoice</button>
                                                </a>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
