<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CountryLocationWiseStockTransferItem extends Model
{
    use SoftDeletes;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'country_location_wise_stock_transfer_items';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'country_location_wise_stock_transfer_id',
        'from_wareHouse',
        'imei_serial_no',
        'to_wareHouse',
        'remarks',
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];

    public function fromWarehouse()
    {
        return $this->belongsTo('App\WareHouse', 'from_wareHouse', 'id');
    }

    public function toWarehouse()
    {
        return $this->belongsTo('App\WareHouse', 'to_wareHouse', 'id');
    }

    public function selectedItem()
    {
        return $this->belongsTo('App\PurchaseSalesTransferStockTrack', 'imei_serial_no', 'imei_serial_no');
    }
}
