<?php

namespace App\Http\Controllers\Master\AccountMaster;

use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;

use Auth;
use DB;
use Storage;
use Session;
use Carbon\Carbon;
use App\Services\Utils;

class AccountMasterController extends Controller
{

    protected $utils;

    public function __construct(Utils $utils)
    {
        $this->utils = $utils;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function viewDocs($type, $id)
    {
        $selected_location = Utils::getLocation();
        $docs = AccountMaster::Where('location_id', $selected_location)->Where('id', $id)->Where('account_master_type', $type)->first();
        if ($type == "Customer" ) {
            $doc_folder = "customer_doc";
        }
        elseif($type == "Other-Account" ) {
            $doc_folder = "other_account_doc";
        }
        elseif($type == "Supplier" ) {
            $doc_folder = "supplier_doc";
        }
        elseif($type == "Staff-And-Salesman" ) {
            $doc_folder = "staff_and_salesman_doc";
        }

        return view('user.masters.account_masters.documents.index', compact('docs', 'doc_folder'));
    }


    public function checkPassword(Request $request ,$id)
    {
        $account = AccountMaster::Find($id);

        if (Hash::check($request->password, $account->transactions_password)) {
            return response()->json(['status' => 'success']);
        // }

        // if ($account->transactions_password == $request->password) {
        //     return response()->json(['status' => 'success']);
        }else
            return response()->json(['status' => 'Enetred Password Not Correct']);

    }

    public function password($id)
    {
        $account = AccountMaster::Find($id);
        if ($account) {
            # code...

            if ($account->transactions_password != "") {
                $result = "yes";
            }elseif ($account->transactions_password == "") {
                $result = "no";
            }
            return response()->json(['status' => 'success', 'data' => $result, 'account' => $account]);
        }
        else
            return response()->json(['status' => 'Selected account has no record']);
    }

}
