<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use Carbon\Carbon;
use PDF;
use Auth;
use App\Customer;
use App\Expense;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\WarehouseTransfer;
use App\AdminPurchaesInvoice;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use Illuminate\Support\Facades\DB;
class StatmentOfAccountController extends Controller
{
    public function display()
    {
        $user = Auth::user();
        // if (!$user->can('reports.statement_account')) {
        //     //     abort(403, 'Unauthorized action.');
        //     // }

        $accounts = [];

        $customers = Customer::where('branch_id', session()->get('selected_branch'))
            ->select('*', 'name_of_organisation as account_name')
            ->get()
            ->map(function ($item) {
                return $item->setAttribute('table_name', 'App\Customer');
            });

        $salesmens = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))
            ->select('*', DB::raw("CONCAT(first_name, ' ', last_name) as account_name"))
            ->get()
            ->map(function ($item) {
                return $item->setAttribute('table_name', 'App\StaffAndSalesman');
            });

        $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))
            ->select('*', 'name_of_organisation as account_name')
            ->get()
            ->map(function ($item) {
                return $item->setAttribute('table_name', 'App\Supplier');
            });

        $expenses = Expense::where('branch_id', session()->get('selected_branch'))
            ->get()
            ->map(function ($item) {
                return $item->setAttribute('table_name', 'App\Expense');
            });

        $otherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            ->get()
            ->map(function ($item) {
                return $item->setAttribute('table_name', 'App\AdminOtherAccount');
            });

        $accounts = $customers->concat($expenses)->concat($suppliers)->concat($otherAccounts)->concat($salesmens);

        $class_of_accounts = ClassOfAccount::all();

        return view('crusher.reports.statement_account', compact('accounts', 'class_of_accounts'));
    }

    // public function index_class(Request $request)
    // {
    //     $from_date = $request->from_date;
    //     $to_date = $request->to_date;
    //     $classOfAccountId = $request->class_of_account;

    //     $currentYearFirstDate = date("2003-01-01");
    //     $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

    //     $ClassOfAccount = ClassOfAccount::find($classOfAccountId);

    //     $customers = Customer::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'name_of_organisation']);
    //     $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'name_of_organisation']);
    //     $expenses = Expense::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'account_name']);
    //     $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'account_name']);
    //     $allAccounts = $customers->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts)->unique('id');

    //     $totalDebit = [];
    //     $totalCredit = [];
    //     $obtotalDebit = [];
    //     $obtotalCredit = [];

    //     foreach ($allAccounts as $account) {
    //         $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_net_amount');
    //         $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('amount');
    //         $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('amount');

    //         // $PaymentVoucher = AdminPaymentVoucher::with('expense')
    //         // ->where('branch_id', session()->get('selected_branch'))
    //         // ->where('date', '>=', $from_date . ' 00:00:00')
    //         // ->where('date', '<=', $to_date . ' 23:59:59')
    //         // ->whereHas('expense', function ($query) use ($account) {
    //         //     $query->where('account_id', $account->id);
    //         // })
    //         //  ->groupBy('invoice_no')
    //         //  ->get()
    //         //  ->sum('amount');

    //         $CreditNote = CreditNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $DebitNote = DebitNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $totalDebit = $SaleInvoice + $PaymentVoucher + $CreditNote;
    //         $totalCredit = $PurchaesInvoice + $ReceiptVoucher + $DebitNote;

    //         }

    //     foreach ($allAccounts as $account) {
    //         $obPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $obSaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_net_amount');


    //         // $obReceiptVoucher = AdminReceiptVoucher::with('expense')
    //         // ->where('branch_id', session()->get('selected_branch'))
    //         // ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         // ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         // ->whereHas('expense', function ($query) use ($account) {
    //         //     $query->where('account_id', $account->id);
    //         // })
    //         // ->groupBy('invoice_no')
    //         // ->get()
    //         // ->sum('amount');

    //         // $obPaymentVoucher = AdminPaymentVoucher::with('expense')
    //         // ->where('branch_id', session()->get('selected_branch'))
    //         // ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         // ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         // ->whereHas('expense', function ($query) use ($account) {
    //         //     $query->where('account_id', $account->id);
    //         // })
    //         //  ->groupBy('invoice_no')
    //         // ->get()
    //         // ->sum('amount');
    //         $obReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->sum('amount');

    //         $obPaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->sum('amount');
    //         $obCreditNote = CreditNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $obDebitNote = DebitNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //             ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //             ->get()
    //             ->sum('total_net_amount');

    //         $obtotalDebit = $obSaleInvoice + $obPaymentVoucher + $obCreditNote;
    //         $obtotalCredit = $obPurchaesInvoice  + $obReceiptVoucher + $obDebitNote;

    //         $ObDebit = 0;
    //         $ObCredit = 0;

    //         if ($obtotalDebit > $obtotalCredit) {
    //             $ObDebit = $obtotalDebit - $obtotalCredit;
    //         } elseif ($obtotalDebit < $obtotalCredit) {
    //             $ObCredit = $obtotalCredit - $obtotalDebit;
    //         }

    //         $DebitopeningBalance = $ObDebit;
    //         $creditOpeningBalance = $ObCredit;

    //         }

    //         $DebitCB = $totalDebit + $DebitopeningBalance;

    //         $CreditCB = $totalCredit + $creditOpeningBalance;

    //         $ClosingBalance = $DebitCB - $CreditCB;

    //         dd($DebitopeningBalance,$creditOpeningBalance,$totalDebit,$totalCredit,$ReceiptVoucher,$ClosingBalance);

    //             // Calculate overall totals
    //             // $grandTotalDebit = array_sum(array_column($totalDebit, 'total_net_amount'));
    //             // $grandTotalCredit = array_sum(array_column($totalCredit, 'total_net_amount'));
    //             // dd($totalDebitValue,$totalCreditValue,$DebitBalance,$creditBalance,$totalDebit,$totalCredit);
    //             // dd($PurchaesInvoice,$DebitNote,$PaymentVoucher,$SaleInvoice,$ReceiptVoucher,$PaymentVoucher,$CreditNote,$DebitNote);
    //             // dd($TotalPurchaesInvoice,$TotalCreditNote,$TotalReceiptVoucher,$ReceiptVoucher,$CreditNote);

    //     return view('crusher.reports.index_class_of_account', compact('from_date', 'to_date', 'totalDebit','totalCredit','allAccounts','ClassOfAccount'));
    // }
    public function index_class(Request $request)
    {
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $classOfAccountId = $request->class_of_account;

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));


        // Tax And Duties Vat Amount --------------------------------

        $TaxAndDutiescustomer = Customer::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $TaxAndDutiesstaffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $TaxAndDutiessupplier = Supplier::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $TaxAndDutiesexpense = Expense::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $TaxAndDutiesadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->get()->toArray();

        $allAccounts = array_merge($TaxAndDutiescustomer, $TaxAndDutiesstaffAndSalesman, $TaxAndDutiessupplier, $TaxAndDutiesexpense, $TaxAndDutiesadminOtherAccount);

        $TaxAndDutiesPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('invoice_no', 'asc')
            ->get()
            ->toArray();

        $TaxAndDutiesSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('date', 'asc')
            ->get()
            ->toArray();

        $TaxAndDutiesCreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $TaxAndDutiesDebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $TaxAndDutiesPurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $TaxAndDutiesQuotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();
        $TaxAndDutiesObPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $TaxAndDutiesObSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $TaxAndDutiesObCreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $TaxAndDutiesObDebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->get()
            ->toArray();
        $TaxAndDutiesObPurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $TaxAndDutiesObQuotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();


        $TaxAndDutiespurchaesInvoiceData = [];
        $TaxAndDutiessaleInvoiceData = [];
        $TaxAndDutiesCreditNoteData = [];
        $TaxAndDutiesDebitNoteData = [];
        $TaxAndDutiesPurchaseOrderData = [];
        $TaxAndDutiesQuotationData = [];

        $TaxAndDutiesObpurchaesInvoiceData = [];
        $TaxAndDutiesObsaleInvoiceData = [];
        $TaxAndDutiesObCreditNoteData = [];
        $TaxAndDutiesObDebitNoteData = [];
        $TaxAndDutiesObPurchaseOrderData = [];
        $TaxAndDutiesObQuotationData = [];

        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $purchaseInvoiceMatch = array_filter($TaxAndDutiesPurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $saleInvoiceMatch = array_filter($TaxAndDutiesSaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $CreditNoteMatch = array_filter($TaxAndDutiesCreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $DebitNoteMatch = array_filter($TaxAndDutiesDebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $PurchaseOrderMatch = array_filter($TaxAndDutiesPurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $QuotationMatch = array_filter($TaxAndDutiesQuotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($purchaseInvoiceMatch)) {
                $TaxAndDutiespurchaesInvoiceData[$accountId] = $purchaseInvoiceMatch;
            }

            if (!empty($saleInvoiceMatch)) {
                $TaxAndDutiessaleInvoiceData[$accountId] = $saleInvoiceMatch;
            }

            if (!empty($CreditNoteMatch)) {
                $TaxAndDutiesCreditNoteData[$accountId] = $CreditNoteMatch;
            }
            if (!empty($DebitNoteMatch)) {
                $TaxAndDutiesDebitNoteData[$accountId] = $DebitNoteMatch;
            }
            if (!empty($PurchaseOrderMatch)) {
                $TaxAndDutiesPurchaseOrderData[$accountId] = $PurchaseOrderMatch;
            }
            if (!empty($QuotationMatch)) {
                $TaxAndDutiesQuotationData[$accountId] = $QuotationMatch;
            }
        }
        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $ObpurchaseInvoiceMatch = array_filter($TaxAndDutiesObPurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObsaleInvoiceMatch = array_filter($TaxAndDutiesObSaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObCreditNoteMatch = array_filter($TaxAndDutiesObCreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObDebitNoteMatch = array_filter($TaxAndDutiesObDebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObPurchaseOrderMatch = array_filter($TaxAndDutiesObPurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObQuotationMatch = array_filter($TaxAndDutiesObQuotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($ObpurchaseInvoiceMatch)) {
                $TaxAndDutiesObpurchaesInvoiceData[$accountId] = $ObpurchaseInvoiceMatch;
            }

            if (!empty($ObsaleInvoiceMatch)) {
                $TaxAndDutiesObsaleInvoiceData[$accountId] = $ObsaleInvoiceMatch;
            }

            if (!empty($ObCreditNoteMatch)) {
                $TaxAndDutiesObCreditNoteData[$accountId] = $ObCreditNoteMatch;
            }
            if (!empty($ObDebitNoteMatch)) {
                $TaxAndDutiesObDebitNoteData[$accountId] = $ObDebitNoteMatch;
            }
            if (!empty($ObPurchaseOrderMatch)) {
                $TaxAndDutiesObPurchaseOrderData[$accountId] = $ObPurchaseOrderMatch;
            }
            if (!empty($ObQuotationMatch)) {
                $TaxAndDutiesObQuotationData[$accountId] = $ObQuotationMatch;
            }
        }


        // Cash In Hand Data -----------------------------------------------------

        $CadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
        ->where('account_name', 'cash')
        ->first();

        if ($CadminOtherAccount) {
            $cashAccountId = $CadminOtherAccount->id;
        } else {
            $cashAccountId = null;
        }

        $CPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CCreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CDebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $CPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $CQuotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $CJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $CReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $CPaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CPaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $CObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObCreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObDebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $CObPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $CObQuotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $CObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $CObReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CObReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $COBPaymentVouchers = AdminPaymentVoucher::with('expense')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        ->where('payment_method', 'Cash')
        ->groupBy('invoice_no')
        ->get();

        foreach ($COBPaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }

        $ClassOfAccount = ClassOfAccount::find($classOfAccountId);

        $customers = Customer::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'name_of_organisation']);
        $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'name_of_organisation']);
        $expenses = Expense::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'account_name']);
        $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->where('class_of_account_id', $classOfAccountId)->get(['id', 'account_name']);
        $allAccounts = $customers->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts)->unique('id');

        $totalDebit = [];
        $totalCredit = [];
        $obtotalDebit = [];
        $obtotalCredit = [];

        foreach ($allAccounts as $account) {
            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->get();

            $CreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->get();

            $DebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->get();

            $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
            $TotalDebitNote = $DebitNote->sum('total_net_amount');
            $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

            $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
            $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
            $TotalCreditNote = $CreditNote->sum('total_net_amount');

            $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote;
            $totalCreditValue = $TotalPurchaesInvoice + $TotalReceiptVoucher + $TotalCreditNote;

            $totalDebit[] = [
                'account_id' => $account->id,
                'DebitBalance' => $totalDebitValue,
            ];

            $totalCredit[] = [
                'account_id' => $account->id,
                'creditBalance' => $totalCreditValue,
            ];

            }

            // dd($totalDebit,$totalCredit);

        foreach ($allAccounts as $account) {
            $obPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $obSaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

             $obReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->get();

            $obPaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->get();

            $obCreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->get();

            $obDebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->get();

            $TotalPurchaesInvoice = $obPurchaesInvoice->sum('total_net_amount');
            $TotalDebitNote = $obDebitNote->sum('total_net_amount');
            $TotalPaymentVoucher = $obPaymentVoucher->sum('amount');

            $TotalSaleInvoice = $obSaleInvoice->sum('total_net_amount');
            $TotalReceiptVoucher = $obReceiptVoucher->sum('amount');
            $TotalCreditNote = $obCreditNote->sum('total_net_amount');

            $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote;
            $totalCreditValue = $TotalPurchaesInvoice  + $TotalReceiptVoucher + $TotalCreditNote;


            // $Debit = null;
            // $Credit = null;

            // if ($totalDebitValue > $totalCreditValue) {
            //     $Debit = $totalDebitValue - $totalCreditValue;
            // } elseif ($totalDebitValue < $totalCreditValue) {
            //     $Credit = $totalCreditValue - $totalDebitValue;
            // }

            // $obDebitBalance = $Debit;
            // $obcreditBalance = $Credit;

            $obtotalDebit[] = [
                'account_id' => $account->id,
                'DebitBalance' => $totalDebitValue,
            ];

            $obtotalCredit[] = [
                'account_id' => $account->id,
                'creditBalance' => $totalCreditValue,
            ];

            }
            // dd($obtotalDebit,$obtotalCredit);

            // Closing Balance

            // $DebitCB = $totalDebit + $obtotalDebit;

            // $CreditCB = $totalCredit + $obtotalCredit;

            // $ClosingBalance = $DebitCB - $CreditCB;

            // dd($ClosingBalance);

            // $DebitCB = array_sum(array_column($totalDebit, 'DebitBalance')) + array_sum(array_column($obtotalDebit, 'DebitBalance'));
            // $CreditCB = array_sum(array_column($totalCredit, 'creditBalance')) + array_sum(array_column($obtotalCredit, 'creditBalance'));

            // $debitClosingBalance = $DebitCB;
            // $creditClosingBalance = $CreditCB;

            // dd($DebitCB,$CreditCB);

            // $DebitCB = 0;
            // foreach ($totalDebit as $debit) {
            //     $DebitCB = $debit['DebitBalance'];
            // }
            // foreach ($obtotalDebit as $obDebit) {
            //     $DebitCB = $obDebit['DebitBalance'];
            // }

            // $CreditCB = 0;
            // foreach ($totalCredit as $credit) {
            //     $CreditCB = $credit['creditBalance'];
            // }
            // foreach ($obtotalCredit as $obCredit) {
            //     $CreditCB = $obCredit['creditBalance'];
            // }

            // $debitClosingBalance = $DebitCB;
            // $creditClosingBalance = $CreditCB;

            // dd($debitClosingBalance,$creditClosingBalance);


                // Calculate overall totals
                // $grandTotalDebit = array_sum(array_column($totalDebit, 'total_net_amount'));
                // $grandTotalCredit = array_sum(array_column($totalCredit, 'total_net_amount'));
                // dd($totalDebitValue,$totalCreditValue,$DebitBalance,$creditBalance,$totalDebit,$totalCredit);
                // dd($PurchaesInvoice,$DebitNote,$PaymentVoucher,$SaleInvoice,$ReceiptVoucher,$PaymentVoucher,$CreditNote,$DebitNote);
                // dd($TotalPurchaesInvoice,$TotalCreditNote,$TotalReceiptVoucher,$ReceiptVoucher,$CreditNote);


        return view('crusher.reports.index_class_of_account', compact('from_date', 'to_date', 'totalDebit','totalCredit','allAccounts','ClassOfAccount','obtotalDebit','obtotalCredit','TaxAndDutiespurchaesInvoiceData','TaxAndDutiessaleInvoiceData','TaxAndDutiesCreditNoteData','TaxAndDutiesDebitNoteData','TaxAndDutiesPurchaseOrderData','TaxAndDutiesQuotationData','TaxAndDutiesObpurchaesInvoiceData','TaxAndDutiesObsaleInvoiceData','TaxAndDutiesObCreditNoteData','TaxAndDutiesObDebitNoteData','TaxAndDutiesObPurchaseOrderData','TaxAndDutiesObQuotationData','CReceiptVouchers','CPurchaesInvoice','CSaleInvoice','CCreditNote','CDebitNote','CReceiptVoucher','CPaymentVoucher','CQuotation','CJournalVoucher','CObReceiptVouchers','CObPurchaesInvoice','CObSaleInvoice','CObCreditNote','CObDebitNote','CObReceiptVoucher','CObPaymentVoucher','CObJournalVoucher','CObQuotation','COBPaymentVouchers','CPaymentVouchers',));
    }



   // $expenses = Expense::where('class_of_account_id', $classOfAccountId)->get(['id', 'name_of_organization']);
        // $adminOtherAccounts = AdminOtherAccount::where('class_of_account', $classOfAccountId)->get(['id', 'name_of_organization']);

        // $allAccounts = $customers->merge($suppliers);


    public function index_ledger_billwise(Request $request)
    {
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $ledger_class = $request->ledger_class;

        $customer = Customer::find($ledger_class);
        $staffAndSalesman = StaffAndSalesman::find($ledger_class);
        $supplier = Supplier::find($ledger_class);
        $expense = Expense::find($ledger_class);
        $adminOtherAccount = AdminOtherAccount::find($ledger_class);

        $matchedAccount = null;
        $PurchaesInvoice = null;

        if ($customer || $staffAndSalesman || $supplier || $expense || $adminOtherAccount) {
            if ($customer) {
                $matchedAccount = $customer;
            } elseif ($staffAndSalesman) {
                $matchedAccount = $staffAndSalesman;
            } elseif ($supplier) {
                $matchedAccount = $supplier;
            } elseif ($expense) {
                $matchedAccount = $expense;
            } elseif ($adminOtherAccount) {
                $matchedAccount = $adminOtherAccount;
            }

            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();
        }

        $allData = $PurchaesInvoice->concat($SaleInvoice);
        // dd($allData);
        return view('crusher.reports.index_ledger_billwise', compact('from_date','to_date', 'ledger_class','allData','matchedAccount','PurchaesInvoice','SaleInvoice'));
    }

    public function index_ledger_vatwise(request $request)
    {
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $ledger_class = $request->ledger_class;

        $customer = Customer::find($ledger_class);
        $staffAndSalesman = StaffAndSalesman::find($ledger_class);
        $supplier = Supplier::find($ledger_class);
        $expense = Expense::find($ledger_class);
        $adminOtherAccount = AdminOtherAccount::find($ledger_class);

        $matchedAccount = null;
        $PurchaesInvoice = null;

        if ($customer || $staffAndSalesman || $supplier || $expense || $adminOtherAccount) {
            if ($customer) {
                $matchedAccount = $customer;
            } elseif ($staffAndSalesman) {
                $matchedAccount = $staffAndSalesman;
            } elseif ($supplier) {
                $matchedAccount = $supplier;
            } elseif ($expense) {
                $matchedAccount = $expense;
            } elseif ($adminOtherAccount) {
                $matchedAccount = $adminOtherAccount;
            }

            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();

        }
        return view('crusher.reports.index_ledger_vatwise', compact('from_date', 'to_date', 'ledger_class', 'matchedAccount', 'PurchaesInvoice','SaleInvoice'));

    }
    // public function index_ledger_vatwise(Request $request, $accountId)
    // {
    //     $vatOption = $request->input('vatOption');

    //     // Fetch data based on $accountId and $vatOption
    //     // Replace 'yourData' with the actual query to fetch the data

    //     $deliveryNoteData = DeliveryNote::where('account_id', $accountId)
    //         ->where('vat_option', $vatOption)
    //         ->get();

    //     // Return the data as a JSON response
    //     return view('crusher.reports.index_ledger_vatwise', compact('deliveryNoteData'));
    // }

    public function view1()
    {
        return view('crusher.reports.statement_account_1');
    }

    public function ledgerReport(Request $request)
    {
        $lastFromDate = date("2003-01-01");
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');
        // dd($lastDay, $lastFromDate);

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        $ledger_class = $request->ledger_class;

        $customer = Customer::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('id', $ledger_class)
            ->first();

        $staffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))
            // ->where('date_of_joining', '>=', $from_date . ' 00:00:00')
            // ->where('date_of_joining', '<=', $to_date . ' 23:59:59')
            ->where('id', $ledger_class)
            ->first();
        $supplier = Supplier::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('id', $ledger_class)
            ->first();
        $expense = Expense::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('id', $ledger_class)
            ->first();
        $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('date', '>=', $from_date . ' 00:00:00')
            // ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('id', $ledger_class)
            ->first();

        $matchedAccount = null;
        $PurchaesInvoice = null;
        $JournalVoucher = null;
        $ReceiptVoucher = null;
        $PaymentVoucher = null;
        $DeliveryNote = null;
        $CreditNote = null;
        $DebitNote = null;
        $PurchaseOrder = null;
        $Quotation = null;
        $openingBalance = null;
        $SaleInvoice     = null;
        $ObDebit = null;
        $ObCredit = null;
        $CreateDebitOpeningBalance = null;
        $CreateCreditOpeningBalance = null;

        if ($customer || $staffAndSalesman || $supplier || $expense || $adminOtherAccount) {
            if ($customer) {
                $matchedAccount = $customer;
            } elseif ($staffAndSalesman) {
                $matchedAccount = $staffAndSalesman;
            } elseif ($supplier) {
                $matchedAccount = $supplier;
            } elseif ($expense) {
                $matchedAccount = $expense;
            } elseif ($adminOtherAccount) {
                $matchedAccount = $adminOtherAccount;
            }

            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();
            $JournalVoucher = AdminJournalVoucher::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();
            $ReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($ledger_class) {
                $query->where('account_id', $ledger_class);
            })
            ->groupBy('invoice_no')
            ->get();
            $PaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($ledger_class) {
                $query->where('account_id', $ledger_class);
            })
             ->groupBy('invoice_no')
                ->get();
            $CreditNote = CreditNote::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();
            $DebitNote = DebitNote::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();

            $PurchaseOrder = PurchaseOrder::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();
            $Quotation = Quotation::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('quotation_no')
                ->get();


            $allData = $PurchaesInvoice ->concat($SaleInvoice)->concat($JournalVoucher)->concat($ReceiptVoucher)->concat($PaymentVoucher)->concat($CreditNote)->concat($DebitNote)->concat($PurchaseOrder)->concat($Quotation);

            // dd($allData);

            // OPENING BALANCE
            $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_purchase_amount_with_cf');
            // dd($ObPurchaesInvoice);

            $ObSaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_net_amount');
            $ObJournalVoucher = AdminJournalVoucher::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get()
                ->sum('amount');

            // $ObReceiptVoucher = ReceiptVoucherExpense::where('account_id', $ledger_class)
            //     // ->where('branch_id', session()->get('selected_branch'))
            //     ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
            //     ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
            //      ->groupBy('inovice_id')
            //     ->get()
            //     ->sum('amount');

            $ObReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($ledger_class) {
                $query->where('account_id', $ledger_class);
            })
            ->groupBy('invoice_no')
            ->get()
            ->sum('amount');
            $ObPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($ledger_class) {
                $query->where('account_id', $ledger_class);
            })
             ->groupBy('invoice_no')
            ->get()
            ->sum('amount');

            // $ObPaymentVoucher = PaymentVoucherExpense::where('account_id', $ledger_class)
            //     // ->where('branch_id', session()->get('selected_branch'))
            //     ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
            //     ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
            //      ->groupBy('inovice_id')
            //     ->get()
            //     ->sum('amount');

            $ObCreditNote = CreditNote::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get()
                ->sum('total_net_amount');

            $ObDebitNote = DebitNote::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get()
                ->sum('total_net_amount');

            $ObPurchaseOrder = PurchaseOrder::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
             ->groupBy('invoice_no')
             ->get()
            ->sum('total_net_amount');

            $ObQuotation = Quotation::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
                 ->groupBy('quotation_no')
                ->get()
                ->sum('total_net_amount');

            if (!empty($matchedAccount)) {
                $debitCardValue = optional($matchedAccount)->type;
                $matchedAccountDate = optional($matchedAccount)->date;

                if ($matchedAccountDate >= $currentYearFirstDate &&
                    $matchedAccountDate <= $oneDayPreviousDate) {
                    if ($debitCardValue === 'Debit') {
                        $CreateDebitOpeningBalance = optional($matchedAccount)->opening_balance;
                    } elseif ($debitCardValue === 'Credit') {
                        $CreateCreditOpeningBalance = optional($matchedAccount)->opening_balance;
                    }
                }
            }

            // Opening Balance

            $debitTotal = $CreateDebitOpeningBalance + $ObSaleInvoice + $ObJournalVoucher + $ObPaymentVoucher  + $ObPurchaseOrder + $ObDebitNote  + $ObQuotation;

            $creditTotal = $ObPurchaesInvoice + $ObReceiptVoucher + $CreateCreditOpeningBalance + $ObCreditNote;
            // $openingBalance = $debitTotal - $creditTotal;

            if ($debitTotal > $creditTotal) {
                $ObDebit = $debitTotal - $creditTotal;
            } elseif ($debitTotal < $creditTotal) {
                $ObCredit = $creditTotal - $debitTotal;
            }

            $DebitopeningBalance = $ObDebit;
            $creditOpeningBalance = $ObCredit;

            // dd($DebitopeningBalance,$creditOpeningBalance);

            // dd($debitTotal,$creditTotal);

            // dd($ObSaleInvoice);

            // dd($openingBalance);

            // dd($currentYearFirstDate,$oneDayPreviousDate,$ObSaleInvoice,$ObJournalVoucher,$ObReceiptVoucher,$ObPaymentVoucher,$ObCreditNote,$ObDebitNote,$ObPurchaseOrder,$ObQuotation);

            // dd($ObPurchaesInvoice);
            // dd($ObSaleInvoice, $ObJournalVoucher, $ObReceiptVoucher, $ObPaymentVoucher, $ObCreditNote, $ObDebitNote, $ObPurchaseOrder, $ObQuotation, $ObPurchaesInvoice);
        }


        return view('crusher.reports.ledger-report', compact('from_date', 'to_date', 'ledger_class', 'matchedAccount', 'PurchaesInvoice','JournalVoucher','ReceiptVoucher','PaymentVoucher','DeliveryNote','CreditNote','DebitNote','PurchaseOrder','Quotation', 'openingBalance','SaleInvoice','DebitopeningBalance','creditOpeningBalance','allData'));
    }
    public function vatLedgerReport(Request $request)
    {
        $lastFromDate = date("2003-01-01");
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');
        // dd($lastDay, $lastFromDate);

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        $ledger_class = $request->ledger_class;

        $customer = Customer::where('branch_id', session()->get('selected_branch'))
            // ->where('id', $ledger_class)
            ->get();

        $staffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))
            // ->where('id', $ledger_class)
            ->get();
        $supplier = Supplier::where('branch_id', session()->get('selected_branch'))
            // ->where('id', $ledger_class)
            ->get();
        $expense = Expense::where('branch_id', session()->get('selected_branch'))
            // ->where('id', $ledger_class)
            ->get();
        $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
            // ->where('id', $ledger_class)
            ->get();

        $matchedAccount = null;
        $PurchaesInvoice = null;
        $JournalVoucher = null;
        $ReceiptVoucher = null;
        $PaymentVoucher = null;
        $DeliveryNote = null;
        $CreditNote = null;
        $DebitNote = null;
        $PurchaseOrder = null;
        $Quotation = null;
        $openingBalance = null;
        $SaleInvoice     = null;
        $ObDebit = null;
        $ObCredit = null;
        $CreateDebitOpeningBalance = null;
        $CreateCreditOpeningBalance = null;

        if ($customer || $staffAndSalesman || $supplier || $expense || $adminOtherAccount) {
            if ($customer) {
                $matchedAccount = $customer;
            } elseif ($staffAndSalesman) {
                $matchedAccount = $staffAndSalesman;
            } elseif ($supplier) {
                $matchedAccount = $supplier;
            } elseif ($expense) {
                $matchedAccount = $expense;
            } elseif ($adminOtherAccount) {
                $matchedAccount = $adminOtherAccount;
            }

            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();
            $JournalVoucher = AdminJournalVoucher::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                 ->groupBy('invoice_no')
                ->get();
                $ReceiptVoucher = AdminReceiptVoucher::with('expense')
                ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $from_date . ' 00:00:00')
                ->where('created_at', '<=', $to_date . ' 23:59:59')
                ->whereHas('expense', function ($query) use ($ledger_class) {
                    $query->where('account_id', $ledger_class);
                })
                ->groupBy('invoice_no')
                ->get();

            $PaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($ledger_class) {
                $query->where('account_id', $ledger_class);
            })
             ->groupBy('invoice_no')
                ->get();
            $CreditNote = CreditNote::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();
            $DebitNote = DebitNote::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();

            $PurchaseOrder = PurchaseOrder::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
             ->groupBy('invoice_no')
                ->get();
            $Quotation = Quotation::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
             ->groupBy('quotation_no')
                ->get();

            // OPENING BALANCE
            $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('invoice_no')
                ->sum('total_net_amount');
            // dd($ObPurchaesInvoice);

            $ObSaleInvoice = AdminSalesInvoice::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('invoice_no')
                ->sum('total_net_amount')
                ;
            $ObJournalVoucher = AdminJournalVoucher::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('invoice_no')
                ->sum('amount');

            $ObReceiptVoucher = ReceiptVoucherExpense::where('account_id', $ledger_class)
                // ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('inovice_id')
                ->sum('amount');

            $ObPaymentVoucher = PaymentVoucherExpense::where('account_id', $ledger_class)
                // ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('inovice_id')
                ->sum('amount');

            $ObCreditNote = CreditNote::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('invoice_no')
                ->sum('total_net_amount');

            $ObDebitNote = DebitNote::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('invoice_no')
                ->sum('total_net_amount');

            $ObPurchaseOrder = PurchaseOrder::where('account_id', $ledger_class)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            //  ->groupBy('invoice_no')
            ->sum('total_net_amount');

            $ObQuotation = Quotation::where('account_id', $ledger_class)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('created_at', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('created_at', '<=', $oneDayPreviousDate . ' 23:59:59')
                //  ->groupBy('quotation_no')
                ->sum('total_net_amount');

            if (!empty($matchedAccount)) {
                $debitCardValue = optional($matchedAccount)->debit_card;
                $matchedAccountDate = optional($matchedAccount)->date;

                if ($matchedAccountDate >= $currentYearFirstDate &&
                    $matchedAccountDate <= $oneDayPreviousDate) {
                    if ($debitCardValue === 'Debit') {
                        $CreateDebitOpeningBalance = optional($matchedAccount)->opening_balance;
                    } elseif ($debitCardValue === 'Credit') {
                        $CreateCreditOpeningBalance = optional($matchedAccount)->opening_balance;
                    }
                }
            }

            // Opening Balance

            $debitTotal = $CreateDebitOpeningBalance + $ObSaleInvoice + $ObJournalVoucher + $ObPaymentVoucher + $ObCreditNote + $ObPurchaseOrder + $ObDebitNote  + $ObQuotation;
            $creditTotal = $ObPurchaesInvoice + $ObReceiptVoucher + $CreateCreditOpeningBalance;
            // $openingBalance = $debitTotal - $creditTotal;

            if ($debitTotal > $creditTotal) {
                $ObDebit = $debitTotal - $creditTotal;
            } elseif ($debitTotal < $creditTotal) {
                $ObCredit = $creditTotal - $debitTotal;
            }

            $DebitopeningBalance = $ObDebit;
            $creditOpeningBalance = $ObCredit;

            // dd($DebitopeningBalance,$creditOpeningBalance);

            // dd($debitTotal,$creditTotal);

            // dd($ObSaleInvoice);

            // dd($openingBalance);

            // dd($currentYearFirstDate,$oneDayPreviousDate,$ObSaleInvoice,$ObJournalVoucher,$ObReceiptVoucher,$ObPaymentVoucher,$ObCreditNote,$ObDebitNote,$ObPurchaseOrder,$ObQuotation);

            // dd($ObPurchaesInvoice);
            // dd($ObSaleInvoice, $ObJournalVoucher, $ObReceiptVoucher, $ObPaymentVoucher, $ObCreditNote, $ObDebitNote, $ObPurchaseOrder, $ObQuotation, $ObPurchaesInvoice);
        }


        return view('crusher.reports.vat_ledger-report', compact('from_date', 'to_date', 'ledger_class', 'matchedAccount', 'PurchaesInvoice','JournalVoucher','ReceiptVoucher','PaymentVoucher','DeliveryNote','CreditNote','DebitNote','PurchaseOrder','Quotation', 'openingBalance','SaleInvoice','DebitopeningBalance','creditOpeningBalance'));
    }

}
