@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Customer Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Print
                                        Document
                                    </button>
                                </a>
                                <a href="">
                                    <button class="btn btn-outline-primary float-right" type="submit">Back
                                    </button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <div class="row">
                            <div class="col-md-3">
                                <label>Account Opening Balance :</label>
                                <span>{{ $customer->opening_balance }}</span>
                            </div>

                            <div class="col-md-3">
                                <label>Debit/Credit :</label>
                                <span>{{ $customer->debit_card }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Date :</label>
                                <span>{{ \Carbon\Carbon::parse($customer->date)->format('d F Y') }}</span>
                            </div>

                            <div class="col-md-12">
                                <label>Account Name :</label>
                                <span>{{ $customer->name_of_organisation }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Commercial Registration # :</label>
                                <span>{{ $customer->commerical_registration_number }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Contact Person Name :</label>
                                <span>{{ $customer->contact_person_name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Office Phone :</label>
                                <span>{{ $customer->office_phone }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile # :</label>
                                <span>{{ $customer->mobile }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Whatsapp #:</label>
                                <span>{{ $customer->whatsapp }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Email :</label>
                                <span>{{ $customer->email }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Country :</label>
                                <span>{{ $customer->country->name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>City :</label>
                                <span>{{ $customer->city }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Address :</label>
                                <span>{{ $customer->address }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Class Of Account :</label>
                                <span>{{ $customer->classOfAccount->name }}</span>
                            </div>
                        </div>

                        <br>
                        <div class="row">
                            <div class="col-md-4">
                                <label>VAT Number :</label>
                                <span>{{ $customer->vat_number }}</span>
                            </div>
                            <div class="col-md-4">
                                <label>TRN Number :</label>
                                <span>{{ $customer->trn_number }}</span>
                            </div>
                            <div class="col-md-4">
                                <label>TIN Number :</label>
                                <span>{{ $customer->tin_number }}</span>
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Uploaded Documents</h5>
                                </strong>
                            </div>

                            @for ($i = 1; $i < 8; $i++)
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span>{{ $customer->{'doc_name_' . $i} }}</span>
                                </div>
                                <div class="col-md-4">
                                    @if (!empty($customer->{'doc_file_' . $i}))
                                        <a href="{{ asset('/storage/app/public/' . $customer->{'doc_file_' . $i}) }}">
                                            <button class="btn btn-outline-primary" type="submit">Print Document
                                            </button>
                                        </a>
                                    @else
                                        <span>No Document Found</span>
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <label>Date :</label>
                                    <span>{{ $customer->{'doc_expiry_' . $i} }}</span>
                                </div>
                            @endfor


                        </div>

                        @for ($i = 1; $i < 4; $i++)
                        {{-- @dd(asset('/storage/app/public/' . $customer->{'authorised_sign_'.$i.'_sign_sample'})) --}}
                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Authosised Sign {{$i}}</h5>
                                </strong>
                            </div>
                            {{-- @dd($customer->{'authorised_sign_'.$i.'_name'}); --}}
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span>{{ $customer->{'authorised_sign_'.$i.'_name'} }}</span>
                                </div>
                                <div class="col-md-4">
                                    <label>Civil Id # :</label>
                                    <span>{{ $customer->{'authorised_sign_'.$i.'_civil_id'} }}</span>
                                </div>
                                <div class="col-md-4">
                                    <label>Expiry Date Of Civit ID # :</label>
                                    <span>{{ $customer->{'authorised_sign_'.$i.'_expiry_date'} }}</span>
                                </div>
                                <div class="col-md-4">
                                    @if (!empty($customer->{'authorised_sign_'.$i.'_sign_sample'}))
                                    <a href="{{ asset('/storage/app/public/' . $customer->{'authorised_sign_'.$i.'_sign_sample'}) }}">
                                        <button class="btn btn-outline-primary" type="submit">Print Document
                                        </button>
                                    </a>
                                    @else
                                    <span>No Document Found</span>
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <label>Phone # :</label>
                                    <span>{{ $customer->{'authorised_sign_'.$i.'_phone'} }}</span>
                                </div>
                            </div>
                        <br>
                            @endfor

                        <br>

                        <div class="col-md-12">

                            <label>Description :</label>
                            <p>{{$customer->description}}</p>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
