@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Ledger Report</h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                                @if ($ledger_class)
                                    {{ $ledger_class }}
                                @else
                                    No Account name available.
                                @endif
                            </h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $SaleInvoiceTotal = 0;
                                        $JournalVoucherTotalForDebit = 0;
                                        $JournalVoucherTotalForCredit = 0;
                                        $ReceiptVoucherTotalForCash = 0;
                                        $ReceiptVoucherTotalForBank = 0;
                                        $PaymentVoucherTotalForCash = 0;
                                        $PaymentVoucherTotalForBank = 0;
                                        $CreditNoteTotal = 0;
                                        $DebitNoteTotal = 0;
                                        $DeliveryNoteTotal = 0;
                                        $PurchaseOrderTotal = 0;
                                        $QuotationTotal = 0;
                                        $CreateOpeningBalance = 0;
                                        $CreateCreditOb = 0;
                                        $CreateDebitOb = 0;



                                        ?>

                                        @if ($CreateDebitOpeningBalance || $CreateCreditOpeningBalance)
                                            <tr>
                                                <td>{{ optional($matchedAccount)->date }}</td>
                                                <td>Create Opening balance #</td>
                                                <td>
                                                    @if ($CreateDebitOpeningBalance)
                                                        {{ $CreateDebitOpeningBalance }}
                                                    @endif
                                                </td>
                                                <td>
                                                    @if ($CreateCreditOpeningBalance)
                                                        {{ $CreateCreditOpeningBalance}}
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif

                                        @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\ReceiptVoucherExpense)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\PaymentVoucherExpense)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ $data->date }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\CreditNote)
                                                <span><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $data->id]) }}">Credit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\DebitNote)
                                                <span><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $data->id]) }}">Debit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\ReceiptVoucherExpense)
                                                <span><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $data->receipt_id]) }}">Receipt#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\PaymentVoucherExpense)
                                                <span><strong><a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $data->voucher_id]) }}">Payment#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                <span><strong><a href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $data->id]) }}">Journal#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\Quotation)
                                                <span><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $data->id]) }}">Quatation#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $SaleInvoiceTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $DebitNoteTotal += $data->total_net_amount;
                                                @endphp
                                            @elseif ($data instanceof \App\AdminJournalVoucher && $data->type === 'debit')
                                                {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $JournalVoucherTotalForDebit += $data->amount;
                                                @endphp
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $QuotationTotal += $data->total_net_amount;
                                                @endphp

                                                @elseif ($data instanceof \App\PaymentVoucherExpense && $data->payment_method === 'cash')
                                                {{ number_format($data->amount + $data->new_vat_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $PaymentVoucherTotalForCash += $data->amount + $data->new_vat_amount;
                                                @endphp
                                                 @elseif ($data instanceof \App\ReceiptVoucherExpense && $data->payment_method === 'bank')
                                                {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $ReceiptVoucherTotalForBank += $data->amount;
                                                @endphp
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data->total_purchase_amount_with_cf, session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaesInvoiceTotal += $data->total_purchase_amount_with_cf;
                                                @endphp
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @elseif ($data instanceof \App\ReceiptVoucherExpense && $data->payment_method === 'cash')
                                            {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                            @php
                                                $ReceiptVoucherTotalForCash += $data->amount;
                                            @endphp
                                            {{-- @if(isset($data->mergedExpenses))
                                                @foreach($data->mergedExpenses as $expense)
                                                    {{ number_format($expense->amount, session('branch')->currency_decimal) }}
                                                    @php
                                                        $ReceiptVoucherTotal += $expense->amount;
                                                    @endphp
                                                @endforeach
                                            @endif --}}
                                            @elseif ($data instanceof \App\AdminJournalVoucher && $data->type === 'credit')
                                            {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                            @php
                                                $JournalVoucherTotalForCredit += $data->amount;
                                            @endphp
                                            @elseif ($data instanceof \App\PaymentVoucherExpense && $data->payment_method === 'bank')
                                            {{ number_format($data->amount + $data->new_vat_amount, session('branch')->currency_decimal) }}
                                            @php
                                                $PaymentVoucherTotalForBank += $data->amount + $data->new_vat_amount;
                                            @endphp
                                            @endif
                                        </td>
                                    </tr>
                                    @endif
                                    @endforeach

                                    @php

                                        $debitTotal = $CreateDebitOpeningBalance + $CreateDebitOb + $SaleInvoiceTotal + $JournalVoucherTotalForDebit + $PaymentVoucherTotalForCash + $DebitNoteTotal + $ReceiptVoucherTotalForBank;

                                        $creditTotal = $CreateCreditOpeningBalance + $PurchaesInvoiceTotal + $ReceiptVoucherTotalForCash + $CreateCreditOb  + $JournalVoucherTotalForCredit + $CreditNoteTotal + $PaymentVoucherTotalForBank;

                                    @endphp


                                        <tr>
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td>
                                                @if($DebitopeningBalance !== null && $DebitopeningBalance !== '' && $DebitopeningBalance !== 0)
                                                    <strong>{{ number_format($DebitopeningBalance, session('branch')->currency_decimal) }}</strong>
                                                @else

                                                @endif
                                            </td>
                                            <td>
                                                @if($creditOpeningBalance !== null && $creditOpeningBalance !== '' && $creditOpeningBalance !== 0)
                                                    <strong>{{ number_format($creditOpeningBalance, session('branch')->currency_decimal) }}</strong>
                                                @else

                                                @endif
                                            </td>
                                        </tr>

                                        <tr>
                                            <td></td>
                                            <td>Current Balance</td>
                                            <td>
                                                @if($debitTotal !== null && $debitTotal !== '' && $debitTotal !== 0)
                                                    <strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong>
                                                @else

                                                @endif
                                            </td>
                                            <td>
                                                @if($creditTotal !== null && $creditTotal !== '' && $creditTotal !== 0)
                                                    <strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong>
                                                @else

                                                @endif
                                            </td>
                                        </tr>
                                        <?php
                                        // Closing Balance

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : '' }} </td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : '' }}</td>
                                        </tr>
                                        @if (empty($PurchaesInvoice) && empty($SaleInvoice) && empty($JournalVoucher) && empty($ReceiptVoucher) && empty($PaymentVoucher) && empty($CreditNote) && empty($DebitNote) && empty($PurchaseOrder) && empty($Quotation))
                                            <tr>
                                                <td colspan="4">No data available</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
