@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Edit Credit Note(Sale Return Voucher)</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('crusher.credit_notes.update', ['credit_note' => $creditNotes[0]->id]) }}"
                            class="outer-repeater" method="POST">
                            @csrf
                            @method('put')


                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Credit Note #</label>
                                        <input class="form-control" readonly placeholder="" id="example-password-input"
                                            value="{{ $creditNotes[0]->invoice_no }}" name="invoice_no">
                                    </div>
                                </div>

                                <div class="col-md-6">

                                </div>

                            </div>

                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input name="date" class="form-control" type="date"
                                            pattern="\d{4}-\d{2}-\d{2}" value="{{ $creditNotes[0]->date }}">
                                    </div>
                                </div>

                                <div class="col-md-6">

                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-3 float-right">
                                    <div class="form-group">
                                        <label class="control-label">Select Sale Invoice Number</label>
                                        <select class="form-control select2" name="sales_invoice_no">
                                            <option value="">Select Invoice Number</option>
                                            @forelse ($adminSales as $sale)
                                                <option value="{{ $sale->invoice_no }}"
                                                    {{ $creditNotes[0]->sales_invoice_no == $sale->invoice_no ? 'selected' : '' }}>
                                                    {{ $sale->invoice_no }} </option>
                                            @empty
                                                <!-- Handle the case when no sale invoices are available -->
                                            @endforelse
                                        </select>
                                    </div>
                                </div>


                                <div class="col-md-6">

                                </div>

                            </div>

                            <div class="row">

                                <div class="col-md-3 float-right">

                                </div>

                                <div class="col-md-6">

                                </div>

                            </div>


                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="account">Account Name:</label>
                                        <select id="account" class="form-control select2" name="account_id">
                                            <option value="" selected disabled>Select Account</option>

                                            {{-- Loop through the merged $accounts collection --}}
                                            @forelse ($accounts as $account)
                                                <option value="{{ $account->id }}"
                                                    {{ $creditNotes[0]['account_id'] == $account->id ? 'selected' : '' }}
                                                    data-account-type="{{ $account->table_name }}">
                                                    {{ $account->account_name }}

                                                </option>
                                            @empty
                                                <option value="" selected disabled>No accounts available</option>
                                            @endforelse
                                        </select>
                                        <input type="hidden" name="account_type" id="account_type">
                                        @error('account_id')
                                            <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table class="table table-bordered dt-responsive nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <th>Item Name</th>
                                                <th>Item Description</th>
                                                <th>Warehouse</th>
                                                <th>Quantity</th>
                                                <th>Rate / Unit</th>
                                                <th>Gross Amount</th>
                                                <th>VAT %</th>
                                                <th>VAT Amount</th>
                                                <th>Net Amount</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>

                                        <tbody id="table-body">
                                            @forelse ($creditNotes as $cn)
                                                <tr>
                                                    <div class="inner-repeater mb-12">
                                                        <div data-repeater-list="inner-group" class="inner form-group">
                                                            <td>
                                                                <div class="form-group">
                                                                    <select class="form-control selectItem select2"
                                                                        name="item_id[]">
                                                                        <option value="" selected disabled>Select Item
                                                                        </option>
                                                                        @foreach ($items as $item)
                                                                            <option value="{{ $item->id }}"
                                                                                {{ $cn->item_id == $item->id ? 'selected' : '' }}>
                                                                                {{ $item->name }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <textarea class="form-control" rows="1" type="text" placeholder="Item Description" id="example-textarea-input"
                                                                        name="item_description[]">{{ $cn->item_description }}
                                                                </textarea>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <select class="form-control selectWarehouse select2"
                                                                        name="warehouse_id[]">
                                                                        <option value="" selected disabled>Select Warehouse
                                                                        </option>
                                                                        @foreach ($warehouses as $warehouse)
                                                                            <option value="{{ $warehouse->id }}"
                                                                                {{ $cn->warehouse_id == $warehouse->id ? 'selected' : '' }}>
                                                                                {{ $warehouse->name }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                </div>
                                                            </td>

                                                            <td>
                                                                <div class="form-group">
                                                                    <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                        placeholder="Quantity" id="quantity"
                                                                        name="quantity[]" value="{{ $cn->quantity }}">
                                                                </div>
                                                            </td>
                                                            <td>
                                                                <div class="form-group">
                                                                    <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                        placeholder="Rate/Unit" id="rate_unit"
                                                                        name="rate_unit[]" value="{{ $cn->rate_unit }}">
                                                                </div>
                                                            </td>

                                                        </div>

                                                    </div>

                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="Gross Amount" id="gross_amount"
                                                                name="gross_amount[]" value="{{ $cn->gross_amount }}">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="VAT %" id="vat_percentage"
                                                                name="vat_percentage[]"
                                                                value="{{ $cn->vat_percentage }}">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                placeholder="VAT Amount" id="vat_amount"
                                                                name="vat_amount[]" value="{{ $cn->vat_amount }}">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-group">
                                                            <p><input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" class="form-control net_amount"
                                                                    id="net_amount" name="net_amount[]"
                                                                    value="{{ $cn->net_amount }}" readonly></p>
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <a href="" class="delete-row-btn"> <i
                                                                class="fas fa-trash-alt inner"></i></a>
                                                    </td>

                                                </tr>
                                            @empty
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-8">
                                    <a id="add-more-btn" class="btn btn-outline-primary">Add
                                        more</a>
                                </div>
                                <div class="col-md-4">
                                    <!-- <h5>QTY Total: 0</h5> -->
                                </div>
                            </div>
                            <br>


                            <br>

                            <div class="row">
                                <div class="col-md-8">
                                </div>
                                <div class="col-md-4">
                                    <strong>
                                        <label>Total Quantity : </label>
                                        <span><input type="text" class="custin" id="total_quantity"
                                                name="total_quantity" readonly
                                                value="{{ $creditNotes[0]->total_quantity }}"></span>
                                    </strong>
                                </div>
                                <div class="col-md-8">
                                </div>
                                <div class="col-md-4">
                                    <strong>
                                        <label>Total Gross Amount : </label>
                                        <span><input type="text" class="custin" id="total_gross_amount"
                                                name="total_gross_amount" readonly
                                                value="{{ $creditNotes[0]->total_gross_amount }}"></span>
                                    </strong>
                                </div>
                                <div class="col-md-8">
                                </div>
                                <div class="col-md-4">
                                    <strong>
                                        <label>Total Vat amount : </label>
                                        <span><input type="text" class="custin" id="total_vat_amount"
                                                name="total_vat_amount" readonly
                                                value="{{ $creditNotes[0]->total_vat_amount }}"></span>
                                    </strong>
                                </div>
                                <div class="col-md-8">
                                </div>

                                {{-- <div class="col-md-4">
                                    <div class="repeater-container" data-repeater-list="group-a">
                                        @forelse ($creditNotes[0]->expenses as $key => $expense)
                                        <div data-repeater-item class="row repeater-row">

                                            <div class="form-group col-md-5">
                                                <select class="form-control select2 expense" name="expense_id[]">
                                                    <option value="" selected disabled selected>Select Account
                                                    </option>
                                                    @foreach ($expensesAccount as $expenseOption)
                                                        <option value="{{ $expenseOption->id }}"
                                                            {{ $expense->expense_id == $expenseOption->id ? 'selected' : '' }}
                                                            data-expense-type="{{ $expenseOption->table_name }}">
                                                            {{ $expenseOption->account_name }}</option>
                                                    @endforeach
                                                </select>
                                                <input type="hidden" name="expense_type[]" class="expense-type">
                                            </div>
                                            <div class="form-group col-md-5">
                                                <input class="form-control sub_account_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                    placeholder="Enter Amount" id="sub_account_amount"
                                                    name="expense_amount[]"
                                                    value="{{ $expense->expense_amount }}">
                                            </div>
                                            <div class="align-self-center col-md-2">
                                                <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                    onclick="deleteRow(this)"></i>
                                            </div>


                                            @if ($key === 0)
                                                <div class="form-group col-lg-5">
                                                    <input data-repeater-create type="button"
                                                        class="btn btn-outline-primary" value="Add Ledger"
                                                        id="addLedgerButton" />
                                                </div>
                                            @endif
                                        </div>
                                    @empty
                                    <div data-repeater-item class="row repeater-row">

                                        <div class="form-group col-md-5">
                                            <select class="form-control select2 expense" name="expense_id[]">
                                                <option value="" selected disabled>Select Account
                                                </option>
                                                @foreach ($expensesAccount as $expenseOption)
                                                    <option value="{{ $expenseOption->id }}"
                                                        data-expense-type="{{ $expenseOption->table_name }}">
                                                        {{ $expenseOption->account_name }}</option>
                                                @endforeach
                                            </select>
                                            <input type="hidden" name="expense_type[]" class="expense-type">
                                        </div>
                                        <div class="form-group col-md-5">
                                            <input class="form-control sub_account_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                placeholder="Enter Amount" id="sub_account_amount"
                                                name="expense_amount[]"
                                                value="">
                                        </div>
                                        <div class="align-self-center col-md-2">
                                            <i data-repeater-delete class="fas fa-trash-alt inner delicon3"
                                                onclick="deleteRow(this)"></i>
                                        </div>
                                            <div class="form-group col-lg-5">
                                                <input data-repeater-create type="button"
                                                    class="btn btn-outline-primary" value="Add Ledger"
                                                    id="addLedgerButton" />
                                            </div>
                                    </div>
                                    @endforelse
                                    </div>
                                    <!-- </form> -->
                                </div> --}}

                                <div class="col-md-8">
                                </div>
                                <br>
                                <div class="col-md-4">
                                    <strong>
                                        <label>Total net amount : </label>
                                        <span><input type="text" class="custin" id="total_net_amount"
                                                name="total_net_amount" readonly
                                                value="{{ $creditNotes[0]->total_net_amount }}"></span>
                                    </strong>
                                </div>
                                {{-- <div class="col-md-4">
                                    <strong>
                                        <label>Amount in Words : </label>
                                        <span><input type="text" class="custin" value=" "
                                                id="total_net_amount_words" name="amount_in_words" readonly
                                                style="overflow:visible;"></span>
                                    </strong>
                                </div> --}}
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-4">
                                            <strong>
                                                <label for="total_net_amount_words">Amount in Words :</label>
                                            </strong>
                                        </div>
                                        <div class="col-8">
                                            <input type="text" class="custin" id="total_net_amount_words" name="amount_in_words" readonly style="width: 120%;margin-left: -3.5rem;">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Term & Conditions</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="narrations">Narrations</label>
                                        <textarea class="form-control{{ $errors->has('narrations') ? ' is-invalid' : '' }}" rows="4"
                                            placeholder="Enter Narrations" id="example-textarea-input" name="narrations">{{ $creditNotes[0]->narrations }}
                                        </textarea>
                                        @if ($errors->has('narrations'))
                                            <div class="invalid-feedback">{{ $errors->first('narrations') }}</div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <button class="btn btn-cust1 float-right" type="submit">Update Credit Note</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0" id="myModalLabel">Byer Information :</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name :</label>
                            <input class="form-control" type="text" placeholder="Enter Name"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Phone # :</label>
                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email :</label>
                            <input class="form-control" type="text" placeholder="Enter Email"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address :</label>
                            <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                id="example-textarea-input">
                    </textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "hide") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    {{-- CALCULATION --}}
    <script>
        $(document).ready(function()
        {
            function calculateRow(row) {
                var quantity = parseFloat(row.find('.quantity').val()) || 0;
                var rateUnit = parseFloat(row.find('.rate_unit').val()) || 0;
                var vatPercentage = parseFloat(row.find('.vat_percentage').val()) || 0;

                var grossAmount = quantity * rateUnit;
                var vatAmount = grossAmount * (vatPercentage / 100);
                var netAmount = grossAmount + vatAmount;

                row.find('.gross_amount').val(grossAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.vat_amount').val(vatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
                row.find('.net_amount').val(netAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }

            // Calculate for existing rows (initial row and dynamically generated rows)
            $('#table-body tr').each(function() {
                calculateRow($(this));
            });

            // Event delegation for dynamically added rows
            $('#table-body').on('input', '.quantity, .rate_unit, .vat_percentage', function() {
                calculateRow($(this).closest('tr'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            $('#add-more-btn').on('click', function() {
                var newRow = `
                <tr>
                    <td>
                        <div class="form-group">
                            <select class="form-control selectItem select2" name="item_id[]">
                                <option value="" selected disabled>Select Item</option>
                                @foreach ($items as $item)
                                    <option value="{{ $item->id }}">{{ $item->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <textarea class="form-control item_desc" rows="1" type="text" placeholder="Item Description" name="item_description[]"></textarea>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <select class="form-control selectWarehouse select2" name="warehouse_id[]">
                                <option value="" selected disabled>Select Warehouse</option>
                                @foreach ($warehouses as $warehouse)
                                    <option value="{{ $warehouse->id }}">{{ $warehouse->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity" name="quantity[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Rate/Unit" name="rate_unit[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Gross Amount" name="gross_amount[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT %" name="vat_percentage[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT Amount" name="vat_amount[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control net_amount form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Net Amount" name="net_amount[]" readonly>
                        </div>
                    </td>
                    <td>
                        <a href="#" class="delete-row-btn"><i class="fas fa-trash-alt"></i></a>
                    </td>
                </tr>`;

                $('#table-body').append(newRow);
                $('#table-body tr:last .select2').select2();

                // Initialize calculation for the new row
                calculateRow($('#table-body tr:last'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });


            // Event delegation for delete button
            $('#table-body').on('click', '.delete-row-btn', function() {
                $(this).closest('tr').remove();
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Calculate and update total quantity
            function calculateTotalQuantity() {
                var totalQuantity = 0;
                $('.quantity').each(function() {
                    totalQuantity += parseFloat($(this).val()) || 0;
                });
                $('#total_quantity').val(totalQuantity);
            }
            // Calculate and update total gross amount
            function calculateTotalGross() {
                var totalGross = 0;
                $('.gross_amount').each(function() {
                    totalGross += parseFloat($(this).val()) || 0;
                });
                $('#total_gross_amount').val(totalGross.toFixed({{session()->get('branch')->currency_decimal}}));
            }
            // Calculate and update total VAT amount
            function calculateTotalVatAmount() {
                var totalVatAmount = 0;
                $('.vat_amount').each(function() {
                    totalVatAmount += parseFloat($(this).val()) || 0;
                });
                $('#total_vat_amount').val(totalVatAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            }

            function calculateTotalNetAmount() {
                var totalSubAccountAmount = 0;
                var totalNetAmount = 0;

                // Loop through all elements with the class 'sub_account_amount'
                $('.sub_account_amount').each(function() {
                    var inputValue = parseFloat($(this).val()) || 0;
                    totalSubAccountAmount += inputValue;
                });

                // Loop through all elements with the class 'net_amount'
                $('.net_amount').each(function() {
                    var inputValue = parseFloat($(this).val()) || 0;
                    totalNetAmount += inputValue;
                });

                // Update the total net amount field
                $('#total_net_amount').val((totalSubAccountAmount + totalNetAmount).toFixed({{session()->get('branch')->currency_decimal}}));

                // Convert total net amount to words and update the corresponding field
                var totalNetAmountWords = numberToWords(totalSubAccountAmount + totalNetAmount);
                $('#total_net_amount_words').val(totalNetAmountWords);
            }

            // Initial calculation for total quantity and total gross
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();

            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });

            // ledger clone

            // document.getElementById('addLedgerButton').addEventListener('click', function() {
            //     cloneRow();
            // });

            // function cloneRow() {
            //     const repeaterRow = document.querySelector('.repeater-row');
            //     if (repeaterRow) {
            //         const clonedRow = repeaterRow.cloneNode(true);

            //         const selectElement = clonedRow.querySelector('select');
            //         const inputElement = clonedRow.querySelector('input');
            //         if (selectElement) {
            //             selectElement.selectedIndex = 0;
            //         }
            //         if (inputElement) {
            //             inputElement.value = '';
            //         }

            //         // Remove the cloned button from the cloned row
            //         const clonedButton = clonedRow.querySelector('#addLedgerButton');
            //         if (clonedButton) {
            //             clonedButton.remove();
            //         }

            //         repeaterRow.parentNode.appendChild(clonedRow);
            //     }
            // }

            // function deleteRow(button) {
            //     const row = button.closest('.repeater-row');
            //     if (row) {
            //         row.remove();
            //     }
            // }

            // // Attach the deleteRow function to the delete buttons
            // const deleteButtons = document.querySelectorAll('.delicon3');
            // deleteButtons.forEach(button => {
            //     button.addEventListener('click', function() {
            //         deleteRow(this); // Pass the button element to the deleteRow function
            //     });
            // });

            // Event listener for changes in sub_account_amount
            $(document).ready(function() {
                // Initial calculation when the page loads
                calculateTotalNetAmount();

                // Event listener for changes in 'sub_account_amount' inputs
                $(document).on('input', '.sub_account_amount', function() {
                    calculateTotalNetAmount();
                });
            });

        });
    </script>

    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type'); // Use jQuery data() method
                $('#account_type').val(accountType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);

            // EXPENSE TYPE

            function updateExpenseType() {
                var selectedOption = $('.expense option:selected'); // Use jQuery to get selected option
                var expenseType = selectedOption.data('expense-type'); // Use jQuery data() method
                $('.expense-type').val(expenseType); // Set the value of the hidden input
            }

            // Run the function once when the page is ready
            updateExpenseType();

            // Add an event listener to update the hidden input when the selection changes
            $('.expense').change(updateExpenseType);
        });
    </script>
@endsection
