@extends('layouts.crusher')
@section('content')
@php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branche = Branches::where('id', $selectedBranchId)->first();

@endphp
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Purchase Invoice</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.purchase_invoices.create') }} ">
                                <button class="btn btn-cust1 float-right" type="submit">Create Purchase Invoice
                                </button>
                            </a>
                        </div>
                    </div>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Purchase Voucher Number</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($purchaseInvoices as $pi)
                                    <tr>
                                        <td>{{ $pi->date }}</td>
                                        <td>{{ $pi->invoice_no }}</td>
                                        @if (!$pi->trashed())
                                            <td>{{ number_format($pi->total_gross_amount, session('branch')->currency_decimal) }}</td>
                                        @else
                                            <td>-</td>
                                        @endif
                                        <td>
                                            @if (
                                                !empty(($branchId = session()->get('selected_branch'))) &&
                                                    Branches::hasBranchPermission($branchId, 'view-print-purchase-invoice'))
                                            <a
                                                href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $pi->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @endif
                                            @if (!$pi->trashed())
                                                @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'edit-purchase-invoice'))
                                                    <a
                                                        href="{{ route('crusher.purchase_invoices.edit', ['purchase_invoice' => $pi->id]) }}">
                                                        <i class="far fa-edit cust-icon2"></i></a>
                                                 @endif
                                                 @if (
                                                    !empty(($branchId = session()->get('selected_branch'))) &&
                                                        Branches::hasBranchPermission($branchId, 'cancel-purchase-invoice'))
                                                    <form
                                                        action="{{ route('crusher.purchase_invoices.delete', ['purchase_invoice' => $pi->id]) }}"
                                                        method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                            class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                @endif

                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                            <a href="{{route('crusher.debit_notes.create', ['pi_no'=>$pi->invoice_no])}}" class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create Debit Note</button>
                                            </a>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
