@extends('layouts.master_user')
@section('page-title')
Detail Balance Sheet
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
    td:nth-child(2){
        text-align: right;
    }
    td:nth-child(3){
        text-align: right;
    }
    td:nth-child(5){
        text-align: right;
    }
    td:nth-child(6){
        text-align: right;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('reports')
active
@endsection
@section('balance-sheet')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form method="get" class="form-horizontal">
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="select-view-type">Select View Type</label>
                        <select name="select_view_type" class="form-control" id="select_view_type_id" onchange="viewBalaneSheet()">
                            <option value="detail_view">Detail View</option>
                            <option value="condense_view">Condense View</option>
                        </select>
                    </div>
                </div>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th colspan="3">Liabilities</th>
                            <th colspan="3">Assets</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td width="30%"><b>Captial Account</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>12000</b></td>
                            <td width="30%"><b>Fixed Assets</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>30000</b></td>
                        </tr>
                        <tr>
                            <td width="30%">Captial Account 1</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Fixed Assets 1</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Captial Account 2</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Fixed Assets 2</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Captial Account 3</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Fixed Assets 3</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>

                        </tr>
                        <tr>
                            <td width="30%"><b>Loans (Liabilities)</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>12000</b></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"></td>
                        </tr>
                        <tr>
                            <td width="30%">Loans (Liabilities) 1</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%"></td>
                            <td width="10%"><b></b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Loans (Liabilities) 2</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%"></td>
                            <td width="10%"><b></b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Loans (Liabilities) 3</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%"></td>
                            <td width="10%"><b></b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%"><b>Current (Liabilities)</b></td>
                            <td width="10%"><b></b></td>
                            <td width="10%"><b>12000</b></td>
                            <td width="30%"><b>Current Assets</b></td>
                            <td width="10%"><b></b></td>
                            <td width="10%"><b>30000</b></td>
                        </tr>
                        <tr>
                            <td width="30%">Current (Liabilities) 1</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Current Assets 1</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Current (Liabilities) 2</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Current Assets 2</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Current (Liabilities) 3</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"><b></b></td>
                            <td width="30%">Current Assets 3</td>
                            <td width="10%"><b>30000</b></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%"><b>Profit & Loss</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>12000</b></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Profit & Loss 1</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Profit & Loss 2</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Profit & Loss 3</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%"><b>Opening Balance</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>12000</b></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Opening Balance 1</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Opening Balance 2</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%">Opening Balance 3</td>
                            <td width="10%"><b>12000</b></td>
                            <td width="10%"></td>
                            <td width="30%"></td>
                            <td width="10%"></td>
                            <td width="10%"><b></b></td>
                        </tr>
                        <tr>
                            <td width="30%"><b>Total</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>240000</b></td>
                            <td width="30%"><b>Total</b></td>
                            <td width="10%"></td>
                            <td width="10%"><b>240000</b></td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function viewBalaneSheet(){
                var select_type=$('#select_view_type_id').val();
                if(select_type=='detail_view'){
                    window.location.href="detail-balance-sheet";
                }
                if(select_type=='condense_view'){
                    window.location.href="condense-balance-sheet";
                }
            }
</script>
@endsection
