@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .margin_top{
        margin-top: 50px;
    }
    h2{
        margin-bottom: 20px;
    }

</style>
@endsection
@section('content')
<div class="middle-box text-center animated fadeInDown">
    <div class="row text-left" style="margin-bottom: 20px;">
        <a href="/" class="btn btn-primary">Go Back</a>
    </div>
    @include('errors.list')
        <div class="row gray-bg">
            <h2><strong>Remainder </strong></h2>
        </div>
    <form class="margin_top" method="POST" action="/main-menu/remainders">
        @csrf
            <div class="form-group">
                <label for="country">Select Country</label>
               <select name="country" id="country" class="form-control" required>
                <option value="">Select Country</option>
                    @foreach ($countries as $country)
                        <option value="{{$country-> id}}">{{$country-> name}}</option>
                    @endforeach
               </select>
            </div>
            <div class="form-group">
                <label for="location">Select Location</label>
               <select name="location" id="location" class="form-control" required>
               </select>
            </div>
            <div class="form-group">
                <label for="user">Select User</label>
                <select name="user" id="user" class="form-control" required>
                </select>
            </div>
            <div class="form-group">
                <label for="title">Title</label>
                <input type="text" name="title" id="title" class="form-control" required>
            </div>
            <div class="form-group">
                <label for="description">Description</label>
                <textarea name="description" id="description" class="form-control" cols="30" rows="5"></textarea>
            </div>
            <button type="submit" class="btn btn-primary block full-width m-b">Send Remainder</button>
        </form>
</div>
<div class="container wrapper wrapper-content animated fadeInRight">
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover dt-responsive" >
        <thead>
        <tr>
            <th>Title</th>
            <th>Description</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
            @foreach($remainders as $remainder)
            <tr>
                <td>{{$remainder->title}}</td>
                <td>{{$remainder->description}}</td>
                <td>{{$remainder->status}}</td>
                <td>
                    <div class="btn-group">
                        <div class="pull-left" style="margin-right: 10px;">
                            <a href="/main-menu/remainder/{{ $remainder->id }}/view" class="btn btn-primary">
                                <i class="fa fa-eye" aria-hidden="true"></i>
                                 View Details</a>
                        </div>
                        <div class="pull-right">
                            <form  method="post" action="/main-menu/remainder/{{ $remainder->id }}">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}
                                <button type="submit" class="btn btn-primary">
                                    <i class="fa fa-trash" aria-hidden="true"></i>
                                    Delete</button>
                            </form>
                        </div>
                    </div>
                </td>
            </tr>
            @endforeach
        </tbody>
        </table>
    </div>
</div>
@endsection

@section('js')
<script>
    $('select[name="location"]').on('change', function(){
        var location_id = $(this).val();
        if(location_id) {
            $.ajax({
                url: '/users-permission/'+location_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        $('select[name="user"]').empty();
                        $.each(data.data, function(key, value){
                            $('select[name="user"]').append('<option value="'+ value.users.id +'">' + value.users.email + '</option>');
                        });

                    }else {
                        alert('failed to retrieve users for selected location');
                    }

                },
            });
        } else {
            $('select[name="user"]').empty();
        }
    });
</script>
@endsection
