@extends('layouts.master_user')
@section('page-title')
Company Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('companies')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form class="form-horizontal" id="edit_form"  method="POST" action="/masters/companies/{{ $company->id }}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                {{ csrf_field() }}
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Company Name </label>
                        <input type="text" class="form-control" id="name"
                            name="name" value="{{ $company->name }}" placeholder="Company Name" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Email</label>
                        <input type="text" class="form-control" name="email" id="email" value="{{$company-> email}}" placeholder="Email" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>Company Address </label>
                        <textarea name="address" class="form-control"id="address" placeholder="Company Address"cols="30" rows="2" required>{{ session()->get('branch')->address }}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Phone #</label>
                        <input type="text" name="phone" id="phone" value="{{ $company->phone }}" placeholder="Phone #" class="form-control" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Mobile #</label>
                        <input type="text" name="mobile" id="mobile" value="{{ $company->mobile }}" placeholder="Mobile #" class="form-control" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>WhatsApp #</label>
                        <input type="text" name="whatsapp" id="whatsapp" value="{{ $company->whatsapp }}" placeholder="WhatsApp #" class="form-control">
                    </div>
                    <div class="col-sm-6">
                        <label for="company_logo">Company Logo</label>
                        <input type="file" name="logo" id="logo" class="form-control">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>VAT Number</label>
                        <input type="text" class="form-control" name="vat_number" id="vat_number" value="{{$company->vat_number}}" placeholder="VAT Number" >
                    </div>

                    <div class="col-sm-4">
                        <label>TRN Number</label>
                        <input type="text" class="form-control" name="trn_number" id="trn_number" value="{{$company->trn_number}}" placeholder="TRN Number" >
                    </div>

                    <div class="col-sm-4">
                        <label>TIN Number</label>
                        <input type="text" class="form-control" name="tin_number" id="tin_number" value="{{$company->tin_number}}" placeholder="TIN Number" >
                    </div>
                </div>
                {{-- <div class="form-group">
                    <div class="col-sm-6">
                        <label for="Period start date">Period Start Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" value="">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <label for="Period End date">Period End Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" value="">
                        </div>
                    </div>
                </div> --}}
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Update Company</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {

        $('#edit_form').validate();

        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
</script>
@endsection
