
@extends('layouts.master_user')
@section('page-title')
Profit & Loss Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    #top {
        margin-top: 100px;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('profit-loss-report')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">

        <div class="ibox-content">
            <div class="row">
                <div class="col-md-6">
                    <p><strong>Date : </strong><strong>{{ \Carbon\Carbon::parse($from_date)->format('d-m-Y') }} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <select name="condense_detail" id="condense_detail" onchange="view()">
                        <option value="condense" selected>Condense View</option>
                        <option value="detail">Detail View</option>
                    </select>
                </div>
            </div>
            <div class="form-group top pull-right">
                <a href="/reports/profit-loss-report/pdfview/{{$from_date}}/{{$to_date}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                    Format)</button>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Particulars</th>
                        <th colspan="2">Amounts</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Sales</td>
                        <td>{{$sales_accounts_decimal}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        {{-- <td><strong>Sales Accounts</strong></td> --}}
                        <td>
                            <form class="form-horizontal" method="POST" id="create_form" action="/reports/sale-report" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" id="from_date" name="from_date" value="{{$from_date}}">
                                <input type="hidden" id="to_date" name="to_date" value="{{$to_date}}">
                                <input type="submit" style="background-color: White; border: none; font-weight:bold;" value="Sales Accounts" >
                            </form>

                        </td>
                        <td></td>
                        <td><strong>{{$sales_accounts_decimal}}</strong></td>
                    </tr>
                    <tr>
                        <td>Opening Stock</td>
                        <td>{{$opening_amount_decimal}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>
                            <form class="form-horizontal" method="POST" id="create_form" action="/reports/purchase-report" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" id="from_date" name="from_date" value="{{$from_date}}">
                                <input type="hidden" id="to_date" name="to_date" value="{{$to_date}}">
                                <input type="submit" style="background-color: White; border: none;" value="Purchase Accounts" >
                            </form>
                        </td>
                        <td>{{$purchase_accounts_decimal}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Closing Stock</td>
                        <td>{{$closing_amount_decimal}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td><strong>Cost Of Sales</strong></td>
                        <td></td>
                        <td><strong>{{$cost_of_sales_decimal}}</strong></td>
                    </tr>
                    <tr>
                        @if ($gross_profit_loss_decimal >= 0)
                            <td><strong>Gross Profit</strong></td>
                        @else
                            <td><strong>Gross Loss</strong></td>
                        @endif
                        <td></td>
                        <td><strong>{{$gross_profit_loss_decimal}}</strong></td>
                    </tr>

                    <tr>
                        <td><strong>Discount Total</strong></td>
                        <td></td>
                        <td><strong>{{$discount_sales_invoices_decimal}}</strong></td>
                    </tr>

                    @foreach ($expenses_accounts_closing_balance as $closing_balance)
                        <tr class="condense_only">
                            <td>{{ $closing_balance['ledger']-> name_of_organisation }}</td>
                            <td>{{ $closing_balance['closing_balance'] }}</td>
                            <td></td>
                        </tr>
                    @endforeach

                    <tr>
                        <td><strong>Expense Total</strong></td>
                        <td></td>
                        <td><strong>{{$expense_total_decimal}}</strong></td>
                    </tr>
                    <tr>
                        <td><strong>Income Total</strong></td>
                        <td></td>
                        <td><strong>{{$income_total_decimal}}</strong></td>
                    </tr>
                    <tr>
                        @if ($net_profit_loss_decimal >= 0)
                            <td><strong>Net Profit</strong></td>
                        @else
                            <td><strong>Net Loss</strong></td>
                        @endif
                        <td></td>
                        <td><strong>{{$net_profit_loss_decimal}}</strong></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('.condense_only').hide();
    function view() {
      var view = $('#condense_detail').val();

      if (view == "condense") {
          $('.condense_only').hide();
      }
      if(view == "detail"){
        $('.condense_only').show();
      }
    }
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

</script>
@endsection
