@extends('layouts.master_user')
@section('page-title')
Sales Man Report
@endsection
@section('css')
<style>

    .display-none {
        display: none;
    }
    .display-min{
        width:280px;
    }
    th{
        text-align: center;
    }


</style>

@endsection
@section('reports')
active
@endsection
@section('salesman-report')
active
@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}

        <div class="ibox-content">
            <div class="row m-b-md top">
                <div class="col-sm-12">
                    <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}}</strong></p>
                </div>
                <div class="col-sm-3">
                    <p><strong>Salesman Name: </strong>{{ $salesman-> first_name }} {{ $salesman-> last_name }}</p>
                </div>
                <div class="col-sm-9">
                    <div class="form-group pull-right">
                        {{-- <button class="btn btn-secondary " type="button"><i class="fa fa fa-print"></i>&nbsp;&nbsp;<span
                                class="bold">Print</span></button> --}}
                        <a href="/reports/salesman-report/pdfview/{{$from_date}}/{{$to_date}}/{{$salesman->id}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                            Format)</button>
                            {{-- <button type="button" class="btn" id="customer_info_btn"><i
                                class="fa fa-info"></i></button>
                        <div id="customer_info" class="display-none">
                            <p>Contact #:{{ $salesman-> mobile_1 }}</p>
                            <p>WhatsApp:{{ $salesman-> whatsapp }}</p>
                            <p>Email:{{ $salesman-> email }}</p>
                            <p>Address:{{ $salesman-> address }}, {{ $salesman-> city }}</p> --}}
                        </div>
                    </div>
                </div>
            </div>
            <div class="row m-b-md top">
                <div class="col-sm-6">
                    <table class="table table-bordered table-hover">
                        <thead>
                          <tr>
                            <th>Date</th>
                            <th colspan="2">Sales Invoice</th>
                            <th>Commission</th>
                          </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th></th>
                                <th>Invoice Number</th>
                                <th>Net Amount</th>
                                <th></th>
                            </tr>
                            @foreach ($sales_invoices as $sales_invoice)
                                <tr>
                                <td>{{ \Carbon\Carbon::parse($sales_invoice->date)->format('d-m-Y') }}</td>
                                <td>Sales Invoice #{{ $sales_invoice-> invoice_no }}</td>
                                <td><p><strong>{{ $sales_invoice-> net_total }}</strong></p></td>
                                <td>{{ number_format( ($sales_invoice-> net_total / 100) * $salesman->commission , $decimal, '.', '') }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                      </table>
                </div>
                <div class="col-sm-6">
                    <table class="table table-bordered table-hover">
                        <thead>
                          <tr>
                            <th>Date</th>
                            <th colspan="2">Credit Note / Sales Return</th>
                            <th>Commission</th>
                          </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th></th>
                                <th>Invoice Number</th>
                                <th>Net Amount</th>
                                <th></th>
                            </tr>
                            @foreach ($sales_return_vouchers as $sales_return_voucher)
                                <tr>
                                <td>{{ \Carbon\Carbon::parse($sales_return_voucher->date)->format('d-m-Y') }}</td>
                                <td>Sales Return Voucher #{{ $sales_return_voucher-> invoice_no }}</td>
                                <td><p><strong>{{ $sales_return_voucher-> net_total }}</strong></p></td>
                                <td>{{ number_format( ($sales_return_voucher-> net_total / 100) * $salesman->commission, $decimal, '.', '') }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                      </table>
                </div>
            </div>
              {{-- <div class="row">
                  <div class="col-sm-2 col-sm-offset-10">
                      <p><strong>Total Sales : 116.50</strong></p>
                  </div>
              </div>
              <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Total Credit Note : 116.50</strong></p>
                </div>
            </div> --}}
            {{-- <div class="row">
                <div class="col-sm-3 col-sm-offset-9">
                    <p><strong>Total Commission: 116.50</strong></p>
                </div>
            </div> --}}
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
