<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Stock Report Item {{$item_name->name}}</h2>
<h4>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h4>

<table>

    <tr>
        <th>Date</th>
        <th>Account Name</th>
        <th>Voucher Description</th>
        <th colspan="3">Inward</th>
        <th colspan="3">Outward</th>
    </tr>
    <tr>
        <th></th>
        <th></th>
        <th></th>

        @if ($show_cost == 1)
            <th>QTY</th>
            <th>Rate</th>
            <th>Net Total</th>
            <th>QTY</th>
            <th>Rate</th>
            <th>Profit</th>
        @else
            <th colspan="3">Qty</th>
            <th colspan="3">Qty</th>
        @endif

    </tr>
    @foreach ($sorted_stockreport_data as $item)
                        <tr>
                            <td>{{ \Carbon\Carbon::parse($item->updated_at)->format('d-m-Y') }}</td>
                            @isset($item->invoice->account)
                                <td>{{$item->invoice->account->name_of_organisation}}</td>
                            @else
                            <td>N/A</td>
                            @endisset
                            @if ($item->invoice_type == 'purchase' && $item->invoice->invoice_no == 0)
                            <td>Opening Inventory</td>
                            @else
                            <td><p><strong>
                                @if ($item->invoice_type == "purchase")
                                    <a href="/transactions/purchase-invoices/{{ $item->invoice->id }}/view">{{$item->invoice_type}}# {{ $item->invoice->invoice_no }}
                                @elseif ($item->invoice_type == "sales")
                                    <a href="/transactions/sales-invoices/{{ $item->invoice->id }}/view">{{$item->invoice_type}}# {{ $item->invoice->invoice_no }}
                                @elseif($item->invoice_type == "sale return" || $item->invoice_type == "purchase return")
                                    {{$item->invoice_type}}# {{ $item->invoice->invoice_no }}
                                @else
                                Stock Transfer
                                @endif
                            </strong></p></td>
                            @endif
                            @if ($show_cost == 1)

                                @if ($item->invoice_type == "purchase" || $item->invoice_type == "sale return" || $item->invoice_type == "stock transfer inward")
                                    <td><strong>{{$item->quantity}}</strong></td>
                                    <td><p><strong>{{ number_format($item->rate_per_quantity, $decimal, '.', '') }}</strong></p></td>
                                    <td><p><strong>{{ number_format($item->rate_per_quantity * $item->quantity, $decimal, '.', '') }}</strong></p></td>
                                    <input type="hidden" name="inward" id="inward" class="inward" value="{{$item->rate_per_quantity * $item->quantity}}">
                                    <td><strong></strong></td>
                                    <td><p><strong></strong></p></td>
                                    <td><p><strong></strong></p></td>
                                @elseif ($item->invoice_type == "sales" || $item->invoice_type == "purchase return" || $item->invoice_type == "stock transfer outward")
                                    <td><strong></strong></td>
                                    <td><p><strong></strong></p></td>
                                    <td><p><strong></strong></p></td>
                                    <td><strong>{{$item->quantity}}</strong></td>
                                    <td><p><strong>{{ number_format($item->rate_per_quantity, $decimal, '.', '') }}</strong></p></td>
                                    @if ($item->invoice_type == "stock transfer outward")
                                        <td><p><strong>0</strong></p></td>
                                        <input type="hidden" name="outward" id="outward" class="outward" value="{{ number_format( $item->rate_per_quantity * $item->quantity, $decimal, '.', '') }}">
                                    @else
                                    <td><p><strong>{{ number_format( ($item->rate_per_quantity * $item->quantity) - ($item->purchase_items->rate_per_quantity * $item->quantity), $decimal, '.', '') }}</strong></p></td>
                                    <input type="hidden" name="outward" id="outward" class="outward" value="{{$item->purchase_items->rate_per_quantity * $item->quantity}}">
                                    @endif

                                @endif
                            @else
                                @if ($item->invoice_type == "purchase" || $item->invoice_type == "sale return" || $item->invoice_type == "stock transfer inward")
                                    <td colspan="3"><strong>{{$item->quantity}}</strong></td>
                                    <td><p><strong></strong></p></td>
                                @elseif ($item->invoice_type == "sales" || $item->invoice_type == "purchase return" || $item->invoice_type == "stock transfer outward")
                                    <td colspan="3"><strong></strong></td>
                                    <td><strong>{{$item->quantity}}</strong></td>
                                @endif
                            @endif
                        </tr>
                    @endforeach

</table>
    <div class="row">
        @php
            $opening_item_quantity = \App\PurchaseSalesTransferStockTrack::Where('item_name_id', $item_name->id)->Where('updated_at', '>=' , '2000-01-01 00:00:00')->Where('updated_at', '<=' , date('Y-m-d', strtotime('-1 day', strtotime($from_date))).' 23:59:59')->sum('quantity');
            $opening_item_amount = \App\PurchaseSalesTransferStockTrack::Where('item_name_id', $item_name->id)->Where('updated_at', '>=' , '2000-01-01 00:00:00')->Where('updated_at', '<=' , date('Y-m-d', strtotime('-1 day', strtotime($from_date))).' 23:59:59')->where('quantity', '>', 0)->sum('amount');
            $current_item_quantity = \App\PurchaseSalesTransferStockTrack::Where('item_name_id', $item_name->id)->Where('updated_at', '>=' , $from_date.' 00:00:00')->Where('updated_at', '<=' , $to_date.' 23:59:59')->sum('quantity');
            $current_item_amount = \App\PurchaseSalesTransferStockTrack::Where('item_name_id', $item_name->id)->Where('updated_at', '>=' , $from_date.' 00:00:00')->Where('updated_at', '<=' , $to_date.' 23:59:59')->where('quantity', '>', 0)->sum('amount');
            $total_item_quantity = \App\PurchaseSalesTransferStockTrack::where('item_name_id', $item_name->id)->sum('quantity');
            $total_item_amount = \App\PurchaseSalesTransferStockTrack::where('item_name_id', $item_name->id)->where('quantity', '>', 0)->sum('amount');
        @endphp
      <div class="col-sm-2 col-sm-offset-8">
        <p><strong>Opening Quantity : {{$opening_item_quantity}} {{$item_name->units->unit}}</strong></p>
        <p><strong>Current Quantity : {{$current_item_quantity}} {{$item_name->units->unit}}</strong></p>
        <p><strong>Closing Quantity : {{$total_item_quantity}} {{$item_name->units->unit}}</strong></p>
      </div>
        @if ($show_cost == 1)
            <div class="col-sm-2">
                <p><strong>Opening Total : {{ number_format($opening_item_amount, $decimal, '.', '') }}</strong></p>
                <p><strong>Current Total : {{ number_format($current_item_amount, $decimal, '.', '') }}</strong></p>
                <p><strong>Closing Total : {{ number_format($total_item_amount, $decimal, '.', '') }}</strong></p>
            </div>
        @endif
    </div>
<script type="text/javascript">
    var outward_sum = 0;
    var inward_sum = 0;
    $('.outward').each(function(){
        outward_sum += parseFloat(this.value);
    });
    $('.inward').each(function(){
        inward_sum += parseFloat(this.value);
    });
    var closing_total = inward_sum - outward_sum;
    $('#closing_value').text(closing_total);
</script>
</body>

</html>
