@extends('layouts.master_user')
@section('page-title')
Receipt Voucher
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .top {
        margin-top: 10px;

    }

    .display-none {
        display: none;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('receipt-voucher')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Receipt Voucher</strong>
</li>
@endsection
--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Receipt Voucher</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div>--}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/transactions/receipt-vouchers" enctype="multipart/form-data">
                @csrf
               <div class="form-group">
                   <div class="col-sm-3">
                       <label>Invoice#</label>
                       <input type="text" class="form-control" name="invoice_no" id="invoice_no" value="{{ $invoice_no }}"
                           placeholder="Invoice#" required>
                   </div>

               </div>
               <div class="form-group">
                   <div class="col-sm-3">
                       <label for="">Date</label>
                       <div class="input-group date">
                           <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="date" id="date"
                           class="form-control" value="">
                       </div>
                   </div>
               </div>
               <div class="form-group">
                   <div class="col-sm-12">
                   <label>Account Name</label>
                   <select class="warehouse-select form-control" id="account_id" name="account_id" required>
                       <option value="">Select Account ...</option>
                           @foreach ($account_masters as $key => $account_master)
                               @if (!empty($account_master->account_master))
                                   <option value="{{$account_master->account_master->id}}">{{$account_master->account_master->name_of_organisation}}</option>
                               @endif
                           @endforeach
                   </select>
                   <input type="hidden" name="pass_check" id="pass_check" value="">
                   <input type="hidden" id="selected_account_id" name="selected_account_id" required />
                   </div>
                   <input type="hidden" id="items_rows" name="items_rows" value="1" />
               </div>
               <div class="hr-line-dashed"></div>

               <div class="form-group">
                   <div class="col-sm-12">
                       <div class="row">
                           <div class="table-responsive" style="">
                               <table class="table table-bordered table-hover" id="cash_amount_table">
                                   <thead>
                                       <tr>
                                           <th scope="col">Payment Method</th>
                                           <th scope="col">Amount</th>
                                       </tr>
                                   </thead>
                                   <tbody>
                                       <tr>
                                           <td>
                                               <select class="payment_method form-control " id="payment_method" name="payment_method">
                                                   <option value="cash">Cash</option>
                                                   <option value="bank">Bank</option>
                                               </select>
                                               <div id="bank_payment" class="display-none bank_payment">
                                                   <input type="text" id="cheaque_no" name="cheaque_no" placeholder="Cheaque No #" class="form-control top" />
                                                   <div class="input-group date">
                                                       <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                                       <input type="text" id="cheaque_date" name="cheaque_date" class="form-control top" />
                                                   </div>
                                                   <input type="text" id="bank_name" name="bank_name" placeholder="Bank Name" class=" form-control top" />
                                               </div>
                                           </td>
                                           <td>
                                               <input type="text" id="amount" name="amount" placeholder="Amount" class="form-control amount" value="0" required />
                                           </td>

                                       </tr>
                                   </tbody>
                               </table>
                           </div>
                       </div>

                   </div>

                   <div class="col-sm-12">
                       <div class="item_table row  hidden">
                           <div class="table-responsive">
                               <table class="table table-bordered table-hover" id="items_table">
                                   <thead>
                                       <tr>
                                           <th scope="col">Select Type</th>
                                           <th scope="col" class="invoice">Select Invoice/ Amount</th>
                                           <th scope="col">Delete</th>
                                       </tr>
                                   </thead>
                                   <tbody>
                                   </tbody>

                               </table>
                           </div>
                       </div>
                       <div class="row">
                           <div class="col-3 ">
                               <button type="button" class="btn btn-primary mr-1 mb-1" onclick="checkAmount()"><i class="feather icon-plus"></i> Add Particular</button>
                           </div>
                       </div>
                   </div>

               </div>

               <div class="row">
                   <div class="col-sm-3 col-sm-offset-9">
                       <h4>Remaining Amount <span class="remaining_amount">0</span>
                       </h4>
                       <input type="hidden" id="remaining_amount" name="remaining_amount" value="0" class="form-control" required />
                   </div>
               </div>

               <div class="form-group">
                   <div class="col-sm-12">
                       <label for="Narrations">Narrations</label>
                       <textarea name="narrations" class="form-control" id="narrations" cols="30" rows="5" placeholder="Narrations"></textarea>
                   </div>
               </div>
               <input type="hidden" name="currency_decimal" id="currency_decimal" value="{{$currency->decimal_currency ?? ''}}">
               <div class="form-group">
                   <div class="col-sm-12">
                       <button class="btn btn-primary pull-right" type="button" id="form_submit">Create Receipt Voucher</button>
                   </div>
               </div>
           </form>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
      </div>
</div>
@endsection

@section('js')
<script>

    var deci = $('#currency_decimal').val();
    var front = dec_function(0, deci);
    $('.remaining_amount').html(front);

    var ajaxResult=[];
    $('select[name="account_id"]').on('change', function(){
        ajaxResult = [];
        var account_id = $(this).val();
        if(account_id) {
            CheckAccountPassword(account_id);
            $.ajax({
                url: '/account-masters/maintain-account/sale/'+account_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {

                        ajaxResult.push(data.data);
                        console.log(ajaxResult);

                    }else {
                    }

                },
            });
        } else {
        }
    });

    $("#form_submit").click(function(){
        if ($('#create_form').valid()) {
            var pass_check = $('#pass_check').val();
            if (pass_check == "no") {
                $('#create_form').submit();
            } else if(pass_check == "yes"){
                $('#exampleModal').modal('show');
            }
        }
    });

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#account_id').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
        }
    });

    function checkAmount() {
        if ($("#amount").val() > 0) {
            if ($("#account_id").val() != "") {
                createItemsRow();
            }
            else{
                alert("Select Account First");
            }

        }
        else{
            alert("Kindly Enter Amount First");
        }
    }

    var row_count = 0;
    var invoice_count = 0;
    function createItemsRow() {

        var remaining = Number($('#remaining_amount').val());
        if (remaining > 0) {
            $('#select_invoice').val('');
            var account_id = $("#account_id").val();
            $("#selected_account_id").val(account_id);
            $("#account_id").attr("disabled", true);

            $(".item_table").removeClass("hidden");
            $("#amount").prop("readonly", true);

            $('#items_table').append(
                '<tr><td>' +
                '<select class="payment_type form-control " id="payment_type" name="payment_type[]" required>' +
                    '<option value="billwise">BillWise</option>' +
                    '<option value="on_account">On Account</option>' +
                '</select>' +
                '<input type="hidden" id="selected_payment_type" name="selected_payment_type[]" class="form-control selected_payment_type" />' +
                '</td>' +
                '<td>' +
                    '<select class="select_invoice form-control" id="select_invoice[' + row_count +']" name="select_invoice[]">' +

                    '</select>' +
                    '<input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" id="select_invoice_value" name="select_invoice_value[]" class="form-control select_invoice_value hidden"  />' +
                    '<input type="text" id="select_invoice_id" name="select_invoice_id[]" class="form-control select_invoice_id hidden" />' +
                    '<input type="text" id="on_account_amount" name="on_account_amount[]" placeholder="Amount" class="form-control on_account_amount hidden" readonly required />' +
                    '<input type="text" id="invoice_remaining['+ invoice_count +']" name="invoice_remaining[]" class="form-control invoice_remaining hidden" />' +
                '</td>' +
                '<td>' +
                    '<button type="button" class="btn" id="delete_item_button"><i class="fa fa-trash-o icon-trash"></i></button>' +
                '</td></tr>'
            );

                ajaxResult.forEach(arrayfunction);

        }
        else{
            alert ("You are not allowed to enter further entries");
        }
    }

    function arrayfunction(item, index) {

        $('select[id="select_invoice['+ row_count +']"]').append('<option value="">Select Invoice</option>');
        // if (!appended){
            for (index = 0; index < item.length; index++) {
                $('select[id="select_invoice['+ row_count +']"]').append('<option value="'+ item[index].id +'"> Pur #' + item[index].invoice_no + '-' + item[index].remaining_amount + '</option>');
            }
            // appended = true;
        // }
        row_count++;

    }

    $('#items_table').on('click', 'button[id="delete_item_button"]', function () {
        var tr = $(this).parent().parent();
        var invoice_amount = tr.find('#select_invoice_value').val();
        var onaccountamount = Number(tr.find('.on_account_amount').val());
        if (onaccountamount != "") {
            var rem = $('#remaining_amount').val();
            var remain = 0;
            var remain = parseFloat(rem) + parseFloat(onaccountamount);
            remain = dec_function(remain, deci);
            $('.remaining_amount').html(remain);
            $('#remaining_amount').val(remain);
        }
        if (invoice_amount != "") {
            var rem = $('#remaining_amount').val();
            var remain = 0;
            var remain = parseFloat(invoice_amount) + parseFloat(rem);
            remain = dec_function(remain, deci);
            $('.remaining_amount').html(remain);
            $('#remaining_amount').val(remain);
        }

        if (Number($('#remaining_amount').val()) == Number($('#amount').val())) {
            $("#account_id").val('');
            ajaxResult = [];
            $("#account_id").attr("disabled", false);
            $("#amount").prop("readonly", false);
        }




        $(this).closest('tr').remove();
    });

    $('#cash_amount_table').on('change', '.payment_method', function(){
        console.log('payment_method');
        $(this).next('.bank_payment').toggle();
    });

    $('#cash_amount_table').on('keyup', '.amount', function(){
        console.log('amount');
        var amount = $('.amount').val();
        amount = dec_function(parseFloat(amount), deci);
        $('.remaining_amount').html(amount);
        $('#remaining_amount').val(amount);
    })

    $('#items_table').on('change', '.payment_type', function(){
        console.log('payment_type');
        var tr = $(this).parent().parent();
        var type = tr.find('.payment_type').val();
        if (type == "billwise") {
            tr.find(".select_invoice").removeClass("hidden");
            tr.find(".on_account_amount").addClass("hidden");

            var onaccountamount = tr.find('.on_account_amount').val();
            onaccountamount = dec_function(parseFloat(onaccountamount), deci);
            $('.remaining_amount').html(onaccountamount);
            $('#remaining_amount').val(onaccountamount);
        }
        if (type == "on_account") {
            tr.find(".select_invoice").addClass("hidden");
            tr.find(".on_account_amount").removeClass("hidden");
            var remaining_amount = $('#remaining_amount').val();
            tr.find('.on_account_amount').val(remaining_amount);

            $('.remaining_amount').html(front);
            $('#remaining_amount').val(front);
        }

        tr.find('.selected_payment_type').val(type);
        tr.find('.payment_type').attr("disabled", true);

    });

    $('#items_table').on('change', '.select_invoice', function(){
        var tr = $(this).parent().parent();
        var invoice_id = tr.find(".select_invoice").val();
        if(invoice_id) {
            $.ajax({
                url: '/purchase-invoice/amount/sale/'+invoice_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        var rem_amount = $('#remaining_amount').val();
                        rem_amount = parseFloat(rem_amount) - parseFloat(data.data);
                        rem_amount = dec_function(rem_amount, deci);
                        $('.remaining_amount').html(rem_amount);
                        $('#remaining_amount').val(rem_amount);

                        if (rem_amount >= 0) {
                            $('input[id="invoice_remaining['+ invoice_count +']"]').val(0);
                        }
                        if (rem_amount < 0) {
                            $('input[id="invoice_remaining['+ invoice_count +']"]').val(rem_amount);
                        }

                        tr.find(".select_invoice_value").val(data.data);

                        tr.find(".select_invoice_id").val(invoice_id);
                        tr.find(".select_invoice").attr("disabled", true);

                        var type = tr.find(".payment_type").val();

                        tr.find('.selected_payment_type').val(type);
                        tr.find('.payment_type').attr("disabled", true);

                        invoice_count++;


                    }else {

                    }

                },
            });
        } else {
        }
    });

    function getTotal(){
        console.log('getTotal');
        var total_amount = 0;
        var amount = $('.amount').val();
        var invoice_amount = $('#invoice_sum').val();
        total_amount = amount - invoice_amount;

        $('.total_amount').html(total_amount);
        $('#total_amount').val(total_amount);
    }


    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

</script>


@endsection
