@extends('layouts.master_user')
@section('page-title')
Receipt Voucher
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }

    .top {
        margin-top: 10px;

    }

    .display-none {
        display: none;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('receipt-voucher')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Receipt Voucher</strong>
</li>
@endsection
--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Receipt Voucher</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div>--}}
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/transactions/receipt-vouchers/{{  $receipt_voucher -> id }}" enctype="multipart/form-data">
                {{ method_field('PATCH') }}
                {{ csrf_field() }}
                <div class="form-group">
                    <div class="col-sm-3">
                        <label>Invoice#</label>
                        <input type="text" class="form-control" name="invoice_no" id="invoice_no" value="{{ $receipt_voucher-> invoice_no }}"
                            placeholder="Invoice#" required>
                    </div>
                    {{-- <div class="col-sm-3 col-sm-offset-6">
                        <label for="">Select Option</label>
                        <select name="select_option" id="select_option_id" class="form-control" onchange="showAndHideInfo()">
                            <option value="">Select Option</option>
                            <option value="items">Invoice</option>
                            <option value="on_account">On Account</option>
                        </select>
                    </div> --}}
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label for="">Date</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" name="date" id="date"
                            class="form-control" value="{{ $receipt_voucher-> invoice_no }}">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                    <label>Account Name</label>
                    <select class="warehouse-select form-control" id="account_id" name="account_id" required>
                        <option value="">Select Account ...</option>
                            @foreach ($account_masters as $key => $account_master)
                                @if (!empty($account_master->account_master))
                                    <option value="{{$account_master->account_master->id}}" @if ($receipt_voucher -> account_id == $account_master->account_master->id) selected="selected" @endif>{{$account_master->account_master->name_of_organisation}}</option>
                                @endif
                            @endforeach
                    </select>
                    <input type="hidden" name="pass_check" id="pass_check" value="{{$account_master->pass_check}}">
                    </div>
                    <input type="hidden" id="items_rows" name="items_rows" value="1" />
                </div>
                <div class="hr-line-dashed"></div>

                {{-- items table --}}
                <div class="form-group">
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="table-responsive">
                                <table class="table table-bordered table-hover" id="items_table">
                                    <thead>
                                        <tr>
                                            {{-- <th scope="col">SR No</th> --}}
                                            <th scope="col">Payment Method</th>
                                            <th scope="col">Amount</th>
                                            <th scope="col">Delete</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($receipt_voucher-> items as $key => $item)
                                            <tr>
                                                <td>
                                                    <select class="payment_method form-control " id="payment_method" name="payment_method[]">
                                                        <option value="cash" @if ($item -> payment_method == 'cash') selected="selected" @endif>Cash</option>
                                                        <option value="bank" @if ($item -> payment_method == 'bank') selected="selected" @endif>Bank</option>
                                                    </select>
                                                    <div id="bank_payment" @if ($item -> payment_method == 'cash') class="display-none bank_payment" @endif class="bank_payment">
                                                        <input type="text" id="cheaque_no" name="cheaque_no[]" value="{{ $item -> cheaque_no }}" placeholder="Cheaque No #" class="form-control top" />
                                                        <div class="input-group date">
                                                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                                            <input type="text" id="cheaque_date" name="cheaque_date[]" value="{{ $item -> cheaque_date }}" class="form-control top" />
                                                        </div>
                                                        <input type="text" id="bank_name" name="bank_name[]" value="{{ $item -> bank_name }}" placeholder="Bank Name" class=" form-control top" />
                                                    </div>
                                                </td>
                                                <td>
                                                    <input type="text" id="amount" name="amount[]" value="{{ $item -> amount }}" placeholder="Amount" class="form-control amount" required />
                                                </td>
                                                <td>
                                                    <button type="button" class="btn" id="delete_item_button"  @if ($key == 0) disabled @endif><i class="fa fa-trash-o icon-trash"></i></button>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td>
                                                <span><strong>Total Amount</strong></span><strong><span id="amount_in_words"></span></strong>
                                            </td>
                                            <td>
                                                <span><strong>Rs:</strong></span><strong><span class="total_amount"><strong>{{ $receipt_voucher-> total_amount }}</strong></span></strong>
                                                <input type="hidden" id="total_amount" name="total_amount" value="{{ $receipt_voucher-> total_amount }}" class="form-control" required />
                                            </td>
                                            <td></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-3 ">
                                <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createItemsRow()"><i class="feather icon-plus"></i> Add Particular</button>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="Narrations">Narrations</label>
                        <textarea name="narrations" class="form-control" id="narrations" cols="30" rows="5" placeholder="Narrations">{{ $receipt_voucher-> narrations }}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="button" id="form_submit">Update Receipt Voucher</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="">Account Verification By Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form id="modal-form">
                <div class="form-group">
                  <label for="recipient-name" class="col-form-label">Enter Password For the selected Account:</label>
                  <input type="password" class="form-control" name="password" id="password">
                </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" id="submitbutton" class="btn btn-primary">Verify</button>
            </div>
          </form>
          </div>
        </div>
      </div>
</div>
@endsection

@section('js')
<script>
    $("#form_submit").click(function(){
        if ($('#create_form').valid()) {
            var pass_check = $('#pass_check').val();
            if (pass_check == "no") {
                $('#create_form').submit();
            } else if(pass_check == "yes"){
                $('#exampleModal').modal('show');
            }
        }
    });

    $("#submitbutton").click(function(){
        var password = $('#password').val();
        var account_master_id = $('#account_id').val();
        if (account_master_id == "") {
            alert("Kindly Select Account First");
        }else
        if (password != null){
            AccountPasswordVerfification(account_master_id, password);
        }
    });

    function createItemsRow() {
        $('#items_table').append(
            '<tr><td>' +
            '<select class="payment_method form-control " id="payment_method" name="payment_method[]">' +
                '<option value="cash">Cash</option>' +
                '<option value="bank">Bank</option>' +
            '</select>' +
            '<div id="bank_payment" class="display-none bank_payment">' +
                '<input type="text" id="cheaque_no" name="cheaque_no[]" placeholder="Cheaque No #" class="form-control top" />' +
                '<div class="input-group date">' +
                    '<span class="input-group-addon"><i class="fa fa-calendar"></i></span>' +
                    '<input type="text" id="cheaque_date" name="cheaque_date[]" class="form-control top" />' +
                '</div>' +
                '<input type="text" id="bank_name" name="bank_name[]" placeholder="Bank Name" class=" form-control top" />' +
            '</div>' +
            '</td>' +
            '<td>' +
                '<input type="text" id="amount" name="amount[]" placeholder="Amount" class="form-control amount" required />' +
            '</td>' +
            '<td>' +
                '<button type="button" class="btn" id="delete_item_button"><i class="fa fa-trash-o icon-trash"></i></button>' +
            '</td></tr>'
        );

        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    }

    $('#items_table').on('click', 'button[id="delete_item_button"]', function () {
        $(this).closest('tr').remove();
        getTotal();
    });

    $('#items_table').on('change', '.payment_method', function(){
        console.log('payment_method');
        $(this).next('.bank_payment').toggle();
        $(this).next('.bank_payment').find('input:text').val('');
    });

    $('#items_table').on('keyup', '.amount', function(){
        console.log('amount');
        getTotal();
    })

    function getTotal(){
        console.log('getTotal');
        var total_amount = 0;
        $('.amount').each(function (i,e) {
            var amount =$(this).val()-0;
            total_amount += amount;
        })
        $('.total_amount').html(total_amount);
        $('#total_amount').val(total_amount);
    }


    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });

</script>


@endsection
